//     Ŀ
//      Low-level support & data for DJGPP version of diskmag Vyhen 
//                       code: ReDox/MovSD (C) 1997                 
//     


#include <stdio.h>
#include <dir.h>
#include "vyhen.h"

void split(int p)
{
__asm__ __volatile__ ("
        movw    %%bx,%%ax
        movw    $0x03d4,%%dx
        movb    %%al,%%ah
        movb    $0x18,%%al
        outw    %%ax,%%dx
        movb    $0x07,%%al
        outb    %%al,%%dx
        incw    %%dx
        inb     %%dx,%%al
        movb    %%al,%%cl
        movb    %%cl,%%ch
        orb     $0x10,%%cl
        cmpw    $0x100,%%bx
        jg      1f
        movb    %%ch,%%cl
        andb    $0x0ef,%%cl
1:      movb    %%cl,%%al
        outb    %%al,%%dx
        movb    $0x09,%%al
        decw    %%dx
        outb    %%al,%%dx
        incw    %%dx
        inb     %%dx,%%al
        movb    %%al,%%cl
        movb    %%cl,%%ch
        orb     $0x40,%%cl
        cmpw    $0x200,%%bx
        jg      2f
        movb    %%ch,%%cl
        andb    $0x0bf,%%cl
2:      movb    %%cl,%%al
        outb    %%al,%%dx
        movw    $0x03da,%%dx
        inb     %%dx,%%al
        movw    $0x03c0,%%dx
        movb    $0x30,%%al
        outb    %%al,%%dx
        incw    %%dx
        inb     %%dx,%%al
        orb     $0x20,%%al
        decw    %%dx
        outb    %%al,%%dx
        "::"b" (p):"ax","cx","dx","bx");
}
void set_mode_80x30(void)
{
   __asm__ __volatile__ ("
        movw    $0x3C4,%%dx
        movb    $0,%%al
        outb    %%al,%%dx
        movb    $1,%%al
        incw    %%dx
        outb    %%al,%%dx
        decw    %%dx
        movw    $0x3D4,%%dx
        movb    $0x17,%%al
        outb    %%al,%%dx
        incw    %%dx
        inb     %%dx,%%al
        andb    $0x7F,%%al
        outb    %%al,%%dx
        decw    %%dx
        movb    $0x11,%%al
        outb    %%al,%%dx
        incw    %%dx
        inb     %%dx,%%al
        andb    $0x7F,%%al
        outb    %%al,%%dx
        movw    $0x3CC,%%dx
        inb     %%dx,%%al
        orb     $0x0C0,%%al
        movw    $0x3C2,%%dx
        outb    %%al,%%dx
        movw    $0x3D4,%%dx
        movb    $6,%%al
        outb    %%al,%%dx
        movb    $0x0B,%%al
        incw    %%dx
        outb    %%al,%%dx
        decw    %%dx
        movb    $7,%%al
        outb    %%al,%%dx
        movb    $0x3E,%%al
        incw    %%dx
        outb    %%al,%%dx
        decw    %%dx
        movb    $9,%%al
        outb    %%al,%%dx
        movb    $0x4F,%%al
        incw    %%dx
        outb    %%al,%%dx
        decw    %%dx
        movb    $0x10,%%al
        outb    %%al,%%dx
        movb    $0x0EA,%%al
        incw    %%dx
        outb    %%al,%%dx
        decw    %%dx
        movb    $0x11,%%al
        outb    %%al,%%dx
        movb    $0x8C,%%al
        incw    %%dx
        outb    %%al,%%dx
        decw    %%dx
        movb    $0x12,%%al
        outb    %%al,%%dx
        movb    $0x0DF,%%al
        incw    %%dx
        outb    %%al,%%dx
        decw    %%dx
        movb    $0x15,%%al
        outb    %%al,%%dx
        movb    $0x0E7,%%al
        incw    %%dx
        outb    %%al,%%dx
        decw    %%dx
        movb    $0x16,%%al
        outb    %%al,%%dx
        movb    $4,%%al
        incw    %%dx
        outb    %%al,%%dx
        decw    %%dx
        movb    $0x11,%%al
        outb    %%al,%%dx
        incw    %%dx
        inb     %%dx,%%al
        orb     $0x80,%%al
        outb    %%al,%%dx
        decw    %%dx
        movb    $0x17,%%al
        outb    %%al,%%dx
        incw    %%dx
        inb     %%dx,%%al
        orb     $0x80,%%al
        outb    %%al,%%dx
        movw    $0x3C4,%%dx
        movb    $0,%%al
        outb    %%al,%%dx
        movb    $3,%%al
        incw    %%dx
        outb    %%al,%%dx
        ":::"ax","dx");
}


byte BIOS_PAL [] = {
      0x0,  0x0, 0x0, 0x0, 0x0, 0x2a, 0x0, 0x2a, 0x0, 0x0, 0x2a, 0x2a,
      0x2a,  0x0,  0x0,  0x2a, 0x0, 0x2a, 0x2a, 0x15, 0x0, 0x2a, 0x2a,
      0x2a,  0x15,  0x15,  0x15,  0x15,  0x15, 0x3f, 0x15, 0x3f, 0x15,
      0x15,  0x3f,  0x3f,  0x3f,  0x15,  0x15, 0x3f, 0x15, 0x3f, 0x3f,
      0x3f, 0x15, 0x3f, 0x3f, 0x3f};

byte MENU_IMAGE [] = {
    '',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,
    '',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,
    '',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,
    '',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,
    '',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,
    '',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,
    '',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,
    '',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,
    '',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,
    '',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,
    '',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,
    '',0x3F,'',0x3F,'',0x3F,'',0x3F,' ',0x3F,' ',0x3F,' ',0x1F,
    ' ',0x1F,' ',0x1F,' ',0x1F,' ',0x1F,' ',0x1F,' ',0x1F,' ',0x1F,
    ' ',0x1F,' ',0x1F,' ',0x1F,' ',0x1F,' ',0x1F,' ',0x1F,' ',0x3F,
    ' ',0x1F,' ',0x1F,' ',0x1F,' ',0x1F,' ',0x1F,' ',0x1F,' ',0x1F,
    ' ',0x1F,' ',0x1F,' ',0x1F,' ',0x1F,' ',0x1F,' ',0x1F,' ',0x1F,
    ' ',0x3F,' ',0x1F,' ',0x1F,' ',0x1F,' ',0x1F,' ',0x1F,' ',0x1F,
    ' ',0x1F,' ',0x1F,' ',0x1F,' ',0x1F,' ',0x1F,' ',0x1F,' ',0x1F,
    ' ',0x1F,' ',0x3F,' ',0x1F,' ',0x1F,' ',0x1F,' ',0x1F,' ',0x1F,
    ' ',0x1F,' ',0x1F,' ',0x1F,' ',0x1F,' ',0x1F,' ',0x1F,' ',0x1F,
    ' ',0x1F,' ',0x1F,' ',0x3F,' ',0x1F,' ',0x1F,' ',0x1F,' ',0x1F,
    ' ',0x1F,' ',0x1F,' ',0x1F,' ',0x1F,' ',0x1F,' ',0x1F,' ',0x1F,
    ' ',0x1F,' ',0x1F,' ',0x1F,' ',0x3F,' ',0x3F,'',0x3F,'',0x3F,
    ' ',0x3F,' ',0x3F,' ',0x3F,' ',0x3F,' ',0x3F,' ',0x3F,' ',0x3F,
    ' ',0x3F,' ',0x3F,' ',0x3F,' ',0x3F,' ',0x3F,' ',0x3F,' ',0x3F,
    ' ',0x3F,' ',0x3F,' ',0x3F,' ',0x3F,' ',0x3F,' ',0x3F,' ',0x3F,
    ' ',0x3F,' ',0x3F,' ',0x3F,' ',0x3F,' ',0x3F,' ',0x3F,' ',0x3F,
    ' ',0x3F,' ',0x3F,' ',0x3F,' ',0x3F,' ',0x3F,' ',0x3F,' ',0x3F,
    ' ',0x3F,' ',0x3F,' ',0x3F,' ',0x3F,' ',0x3F,' ',0x3F,' ',0x3F,
    ' ',0x3F,' ',0x3F,' ',0x3F,' ',0x3F,' ',0x3F,' ',0x3F,' ',0x3F,
    ' ',0x3F,' ',0x3F,' ',0x3F,' ',0x3F,' ',0x3F,' ',0x3F,' ',0x3F,
    ' ',0x3F,' ',0x3F,' ',0x3F,' ',0x3F,' ',0x3F,' ',0x3F,' ',0x3F,
    ' ',0x3F,' ',0x3F,' ',0x3F,' ',0x3F,' ',0x3F,' ',0x3F,' ',0x3F,
    ' ',0x3F,' ',0x3F,' ',0x3F,' ',0x3F,' ',0x3F,' ',0x3F,' ',0x3F,
    ' ',0x3F,'',0x3F,'',0x3F,' ',0x3F,' ',0x3F,' ',0x1F,' ',0x1F,
    ' ',0x1F,' ',0x1F,' ',0x1F,' ',0x1F,' ',0x1F,' ',0x1F,' ',0x1F,
    ' ',0x1F,' ',0x1F,' ',0x1F,' ',0x1F,' ',0x1F,' ',0x3F,' ',0x1F,
    ' ',0x1F,' ',0x1F,' ',0x1F,' ',0x1F,' ',0x1F,' ',0x1F,' ',0x1F,
    ' ',0x1F,' ',0x1F,' ',0x1F,' ',0x1F,' ',0x1F,' ',0x1F,' ',0x3F,
    ' ',0x1F,' ',0x1F,' ',0x1F,' ',0x1F,' ',0x1F,' ',0x1F,' ',0x1F,
    ' ',0x1F,' ',0x1F,' ',0x1F,' ',0x1F,' ',0x1F,' ',0x1F,' ',0x1F,
    ' ',0x3F,' ',0x1F,' ',0x1F,' ',0x1F,' ',0x1F,' ',0x1F,' ',0x1F,
    ' ',0x1F,' ',0x1F,' ',0x1F,' ',0x1F,' ',0x1F,' ',0x1F,' ',0x1F,
    ' ',0x1F,' ',0x3F,' ',0x1F,' ',0x1F,' ',0x1F,' ',0x1F,' ',0x1F,
    ' ',0x1F,' ',0x1F,' ',0x1F,' ',0x1F,' ',0x1F,' ',0x1F,' ',0x1F,
    ' ',0x1F,' ',0x1F,' ',0x3F,' ',0x3F,'',0x3F,'',0x3F,'',0x3F,
    '',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,
    '',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,
    '',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,
    '',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,
    '',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,
    '',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,
    '',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,
    '',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,
    '',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,
    '',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,
    '',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,
    '',0x3F,'',0x3F,' ',0x3F,' ',0x3F,' ',0x0F,' ',0x0F,' ',0x0F,
    ' ',0x0F,'E',0x07,'x',0x0F,'p',0x0F,'o',0x0F,'r',0x0F,'t',0x0F,
    ' ',0x0F,' ',0x0F,' ',0x0F,' ',0x0F,' ',0x3F,' ',0x0F,' ',0x0F,
    ' ',0x0F,'R',0x07,'e',0x0F,'d',0x0F,'a',0x0F,'k',0x0F,'c',0x0F,
    'e',0x0F,' ',0x0F,' ',0x0F,' ',0x0F,' ',0x0F,' ',0x3F,' ',0x0F,
    ' ',0x0F,' ',0x07,' ',0x07,'T',0x07,'i',0x0F,'c',0x0F,'h',0x0F,
    'o',0x0F,' ',0x0F,' ',0x0F,' ',0x0F,' ',0x0F,' ',0x0F,' ',0x3F,
    ' ',0x0F,' ',0x0F,' ',0x0F,'P',0x07,'o',0x0F,'k',0x0F,'r',0x0F,
    'a',0x0F,'',0x0F,'u',0x0F,'j',0x0F,' ',0x0F,' ',0x0F,' ',0x0F,
    ' ',0x3F,' ',0x0F,' ',0x0F,' ',0x0F,' ',0x0F,' ',0x0F,'D',0x07,
    'O',0x0F,'S',0x0F,' ',0x0F,' ',0x0F,' ',0x0F,' ',0x0F,' ',0x0F,
    ' ',0x0F,' ',0x3F,' ',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,
    '',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,
    '',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,
    '',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,
    '',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,
    '',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,
    '',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,
    '',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,
    '',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,
    '',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,
    '',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,
    '',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F,'',0x3F};

byte FONT_DATA [] = {
          0x0,  0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
          0x0,  0x0,  0x0,  0x0, 0x0, 0x0, 0x0, 0x0, 0x7e, 0x81, 0xa5,
          0x81,  0x81,  0xbd,  0x99,  0x81, 0x81, 0x7e, 0x0, 0x0, 0x0,
          0x0,  0x0,  0x0,  0x7e,  0xff, 0xdb, 0xff, 0xff, 0xc3, 0xe7,
          0xff,  0xff,  0x7e,  0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
          0x6c,  0xfe,  0xfe,  0xfe, 0xfe, 0x7c, 0x38, 0x10, 0x0, 0x0,
          0x0,  0x0, 0x0, 0x0, 0x0, 0x0, 0x10, 0x38, 0x7c, 0xfe, 0x7c,
          0x38,  0x10,  0x0,  0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x18,
          0x3c,  0x3c,  0xe7,  0xe7, 0xe7, 0x18, 0x18, 0x3c, 0x0, 0x0,
          0x0, 0x0, 0x0, 0x0, 0x0, 0x18, 0x3c, 0x7e, 0xff, 0xff, 0x7e,
          0x18,  0x18,  0x3c,  0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
          0x0,  0x18, 0x3c, 0x3c, 0x18, 0x0, 0x0, 0x0, 0x0, 0x0, 0xff,
          0xff,  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xe7, 0xc3, 0xc3,
          0xe7,  0xff, 0xff, 0xff, 0xff, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
          0x0,  0x3c,  0x66,  0x42,  0x42,  0x66, 0x3c, 0x0, 0x0, 0x0,
          0xff,  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xc3, 0x99, 0xbd,
          0xbd,  0x99,  0xc3,  0xff,  0xff, 0xff, 0x0, 0x0, 0x1e, 0xe,
          0x1a,  0x1a,  0x30, 0x78, 0xcc, 0xcc, 0xcc, 0xcc, 0x78, 0x0,
          0x0,  0x0, 0x0, 0x0, 0x0, 0x0, 0x3c, 0x66, 0x66, 0x66, 0x66,
          0x3c,  0x18,  0x18,  0x7e,  0x18,  0x18, 0x0, 0x0, 0x0, 0x0,
          0x3f,  0x33, 0x33, 0x3f, 0x30, 0x30, 0x30, 0x30, 0x70, 0xf0,
          0xe0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x7f, 0x63, 0x7f, 0x63, 0x63,
          0x63, 0x63, 0x67, 0xe7, 0xe6, 0xc0, 0x0, 0x0, 0x0, 0x0, 0x0,
          0x0,  0x0,  0x10,  0x92, 0x54, 0x38, 0xee, 0x38, 0x54, 0x92,
          0x10,  0x0,  0x0,  0x0,  0x0,  0x80, 0xc0, 0xe0, 0xf0, 0xf8,
          0xfc,  0xfe,  0xfc,  0xf8, 0xf0, 0xe0, 0xc0, 0x80, 0x0, 0x0,
          0x0,  0x2,  0x6,  0xe,  0x1e,  0x3e, 0x7e, 0xfe, 0x7e, 0x3e,
          0x1e,  0xe,  0x6, 0x2, 0x0, 0x0, 0x0, 0x0, 0x18, 0x3c, 0x7e,
          0x18,  0x18,  0x18,  0x18, 0x18, 0x7e, 0x3c, 0x18, 0x0, 0x0,
          0x0,  0x0,  0x0,  0x66,  0x66, 0x66, 0x66, 0x66, 0x66, 0x66,
          0x66,  0x0, 0x66, 0x66, 0x0, 0x0, 0x0, 0x0, 0x0, 0x7f, 0xdb,
          0xdb,  0xdb,  0xdb, 0x7b, 0x1b, 0x1b, 0x1b, 0x1b, 0x1b, 0x0,
          0x0,  0x0,  0x0,  0x7c,  0xc6, 0x60, 0x38, 0x6c, 0xc6, 0xc6,
          0x6c,  0x38,  0xc, 0xc6, 0x7c, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
          0x0,  0x0, 0x0, 0x0, 0x0, 0xfe, 0xfe, 0xfe, 0xfe, 0xfe, 0x0,
          0x0,  0x0,  0x0,  0x0,  0x18,  0x3c, 0x7e, 0x18, 0x18, 0x18,
          0x18, 0x7e, 0x3c, 0x18, 0x7e, 0x0, 0x0, 0x0, 0x0, 0x0, 0x18,
          0x3c,  0x7e, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18,
          0x0, 0x0, 0x0, 0x0, 0x0, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18,
          0x18,  0x18, 0x7e, 0x3c, 0x18, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
          0x0,  0x30, 0x18, 0xc, 0xfe, 0xc, 0x18, 0x30, 0x0, 0x0, 0x0,
          0x0,  0x0,  0x0,  0x0,  0x0,  0x0,  0x18,  0x30, 0x60, 0xfe,
          0x60,  0x30,  0x18,  0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
          0x0,  0x0,  0x0, 0xc0, 0xc0, 0xc0, 0xfe, 0x0, 0x0, 0x0, 0x0,
          0x0,  0x0,  0x0, 0x0, 0x0, 0x0, 0x0, 0x28, 0x6c, 0xfe, 0x6c,
          0x28,  0x0,  0x0,  0x0,  0x0,  0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
          0x10,  0x38,  0x38,  0x7c,  0x7c, 0xfe, 0xfe, 0x0, 0x0, 0x0,
          0x0,  0x0, 0x0, 0x0, 0x0, 0x0, 0xfe, 0xfe, 0x7c, 0x7c, 0x38,
          0x38,  0x10,  0x0,  0x0,  0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
          0x0,  0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
          0x0,  0x0,  0x18,  0x3c, 0x3c, 0x3c, 0x3c, 0x18, 0x18, 0x18,
          0x0, 0x18, 0x18, 0x0, 0x0, 0x0, 0x0, 0x66, 0x66, 0x66, 0x24,
          0x0,  0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
          0x0,  0x0,  0x6c,  0x6c, 0xfe, 0x6c, 0x6c, 0x6c, 0xfe, 0x6c,
          0x6c, 0x0, 0x0, 0x0, 0x0, 0x0, 0x18, 0x18, 0x7c, 0xc6, 0xc2,
          0xc0,  0x7c,  0x6,  0x6,  0x86, 0xc6, 0x7c, 0x18, 0x18, 0x0,
          0x0,  0x0,  0x0,  0xcc,  0xcc, 0x18, 0x18, 0x30, 0x30, 0x60,
          0x60, 0xcc, 0xcc, 0x0, 0x0, 0x0, 0x0, 0x0, 0x38, 0x6c, 0x6c,
          0x6c,  0x38,  0x76,  0xdc, 0xcc, 0xcc, 0xcc, 0x76, 0x0, 0x0,
          0x0,  0x0,  0x30, 0x30, 0x30, 0x60, 0x0, 0x0, 0x0, 0x0, 0x0,
          0x0,  0x0,  0x0,  0x0,  0x0, 0x0, 0x0, 0x0, 0xc, 0x18, 0x18,
          0x30,  0x30,  0x30,  0x30,  0x30, 0x18, 0x18, 0xc, 0x0, 0x0,
          0x0,  0x0,  0x0,  0x30, 0x18, 0x18, 0xc, 0xc, 0xc, 0xc, 0xc,
          0x18,  0x18,  0x30, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x44,
          0x6c, 0x38, 0xfe, 0x38, 0x6c, 0x44, 0x0, 0x0, 0x0, 0x0, 0x0,
          0x0,  0x0,  0x0,  0x0,  0x10,  0x10, 0x10, 0xfe, 0x10, 0x10,
          0x10, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
          0x0,  0x0,  0x0, 0x0, 0x18, 0x18, 0x18, 0x30, 0x0, 0x0, 0x0,
          0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xfe, 0x0, 0x0, 0x0, 0x0, 0x0,
          0x0,  0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
          0x0,  0x0,  0x18,  0x18,  0x0, 0x0, 0x0, 0x0, 0x0, 0x6, 0xc,
          0xc,  0x18,  0x18,  0x30, 0x30, 0x60, 0x60, 0xc0, 0xc0, 0x0,
          0x0,  0x0,  0x0,  0x0,  0x38,  0x6c, 0xc6, 0xc6, 0xc6, 0xd6,
          0xc6, 0xc6, 0xc6, 0x6c, 0x38, 0x0, 0x0, 0x0, 0x0, 0x0, 0x18,
          0x38,  0x78, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x7e,
          0x0,  0x0,  0x0, 0x0, 0x0, 0x7c, 0xc6, 0xc6, 0x6, 0xc, 0x18,
          0x30, 0x60, 0xc0, 0xc6, 0xfe, 0x0, 0x0, 0x0, 0x0, 0x0, 0x7c,
          0xc6, 0x86, 0x6, 0x6, 0x3c, 0x6, 0x6, 0x86, 0xc6, 0x7c, 0x0,
          0x0,  0x0,  0x0,  0x0,  0x1c,  0x3c, 0x3c, 0x6c, 0x6c, 0xcc,
          0xcc,  0xfe,  0xc, 0xc, 0x1e, 0x0, 0x0, 0x0, 0x0, 0x0, 0xfe,
          0xc0,  0xc0,  0xfc,  0x86,  0x6, 0x6, 0x6, 0xc6, 0xc6, 0x7c,
          0x0, 0x0, 0x0, 0x0, 0x0, 0x3c, 0x60, 0xc0, 0xc0, 0xfc, 0xc6,
          0xc6, 0xc6, 0xc6, 0xc6, 0x7c, 0x0, 0x0, 0x0, 0x0, 0x0, 0xfe,
          0xc6,  0x6,  0x6,  0xc,  0x18, 0x18, 0x30, 0x30, 0x30, 0x30,
          0x0, 0x0, 0x0, 0x0, 0x0, 0x7c, 0xc6, 0xc6, 0xc6, 0xc6, 0x7c,
          0xc6, 0xc6, 0xc6, 0xc6, 0x7c, 0x0, 0x0, 0x0, 0x0, 0x0, 0x7c,
          0xc6,  0xc6,  0xc6,  0xc6,  0xc6, 0x7e, 0x6, 0x6, 0xc, 0x78,
          0x0,  0x0,  0x0,  0x0,  0x0, 0x0, 0x0, 0x0, 0x18, 0x18, 0x0,
          0x0,  0x0,  0x18,  0x18,  0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
          0x0, 0x0, 0x18, 0x18, 0x0, 0x0, 0x0, 0x18, 0x18, 0x18, 0x30,
          0x0,  0x0,  0x0, 0x0, 0x0, 0x6, 0xc, 0x18, 0x30, 0x60, 0x30,
          0x18, 0xc, 0x6, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
          0x7e,  0x0,  0x0,  0x0,  0x7e, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
          0x0,  0x0, 0x0, 0x60, 0x30, 0x18, 0xc, 0x6, 0xc, 0x18, 0x30,
          0x60,  0x0,  0x0, 0x0, 0x0, 0x0, 0x0, 0x7c, 0xc6, 0xc6, 0x6,
          0xc,  0x18, 0x18, 0x18, 0x0, 0x18, 0x18, 0x0, 0x0, 0x0, 0x0,
          0x0,  0x7c,  0xc6, 0xc6, 0xc6, 0xde, 0xde, 0xde, 0xdc, 0xc0,
          0xc0, 0x7c, 0x0, 0x0, 0x0, 0x0, 0x0, 0x10, 0x38, 0x6c, 0xc6,
          0xc6,  0xc6,  0xfe,  0xc6,  0xc6, 0xc6, 0xc6, 0x0, 0x0, 0x0,
          0x0,  0x0,  0xfc,  0x66, 0x66, 0x66, 0x66, 0x7c, 0x66, 0x66,
          0x66, 0x66, 0xfc, 0x0, 0x0, 0x0, 0x0, 0x0, 0x3a, 0x66, 0xc2,
          0xc2,  0xc0,  0xc0,  0xc0, 0xc0, 0xc2, 0x66, 0x3c, 0x0, 0x0,
          0x0,  0x0,  0x0,  0xf8,  0x6c, 0x66, 0x66, 0x66, 0x66, 0x66,
          0x66, 0x66, 0x6c, 0xf8, 0x0, 0x0, 0x0, 0x0, 0x0, 0xfe, 0x66,
          0x62,  0x60,  0x68, 0x78, 0x68, 0x60, 0x62, 0x66, 0xfe, 0x0,
          0x0,  0x0,  0x0,  0x0,  0xfe,  0x66, 0x62, 0x60, 0x68, 0x78,
          0x68, 0x60, 0x60, 0x60, 0xf0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x3c,
          0x66,  0xc2,  0xc0,  0xc0,  0xc0,  0xde,  0xc6,  0xc6, 0x66,
          0x3a, 0x0, 0x0, 0x0, 0x0, 0x0, 0xc6, 0xc6, 0xc6, 0xc6, 0xc6,
          0xfe, 0xc6, 0xc6, 0xc6, 0xc6, 0xc6, 0x0, 0x0, 0x0, 0x0, 0x0,
          0x3c,  0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18,
          0x3c,  0x0,  0x0,  0x0,  0x0, 0x0, 0x1e, 0xc, 0xc, 0xc, 0xc,
          0xc,  0xc,  0xcc, 0xcc, 0xcc, 0x78, 0x0, 0x0, 0x0, 0x0, 0x0,
          0xe6,  0x66, 0x6c, 0x6c, 0x78, 0x70, 0x78, 0x6c, 0x6c, 0x66,
          0xe6, 0x0, 0x0, 0x0, 0x0, 0x0, 0xf0, 0x60, 0x60, 0x60, 0x60,
          0x60, 0x60, 0x60, 0x62, 0x66, 0xfe, 0x0, 0x0, 0x0, 0x0, 0x0,
          0xc6,  0xc6, 0xee, 0xfe, 0xfe, 0xd6, 0xd6, 0xc6, 0xc6, 0xc6,
          0xc6, 0x0, 0x0, 0x0, 0x0, 0x0, 0xc6, 0xc6, 0xe6, 0xe6, 0xf6,
          0xd6, 0xde, 0xce, 0xce, 0xc6, 0xc6, 0x0, 0x0, 0x0, 0x0, 0x0,
          0x7c,  0xc6, 0xc6, 0xc6, 0xc6, 0xc6, 0xc6, 0xc6, 0xc6, 0xc6,
          0x7c, 0x0, 0x0, 0x0, 0x0, 0x0, 0xfc, 0x66, 0x66, 0x66, 0x66,
          0x7c, 0x60, 0x60, 0x60, 0x60, 0xf0, 0x0, 0x0, 0x0, 0x0, 0x0,
          0x7c,  0xc6, 0xc6, 0xc6, 0xc6, 0xc6, 0xc6, 0xc6, 0xd6, 0xde,
          0x7c, 0xc, 0xe, 0x0, 0x0, 0x0, 0xfc, 0x66, 0x66, 0x66, 0x66,
          0x7c, 0x78, 0x6c, 0x6c, 0x66, 0xe6, 0x0, 0x0, 0x0, 0x0, 0x0,
          0x7c,  0xc6,  0xc6,  0xc0, 0x60, 0x38, 0xc, 0x6, 0xc6, 0xc6,
          0x7c, 0x0, 0x0, 0x0, 0x0, 0x0, 0x7e, 0x7e, 0x5a, 0x18, 0x18,
          0x18, 0x18, 0x18, 0x18, 0x18, 0x3c, 0x0, 0x0, 0x0, 0x0, 0x0,
          0xc6,  0xc6, 0xc6, 0xc6, 0xc6, 0xc6, 0xc6, 0xc6, 0xc6, 0xc6,
          0x7c, 0x0, 0x0, 0x0, 0x0, 0x0, 0xc6, 0xc6, 0xc6, 0xc6, 0xc6,
          0xc6, 0x6c, 0x6c, 0x28, 0x38, 0x10, 0x0, 0x0, 0x0, 0x0, 0x0,
          0xc6,  0xc6, 0xc6, 0xc6, 0xd6, 0xd6, 0xd6, 0xfe, 0xfe, 0x6c,
          0x44, 0x0, 0x0, 0x0, 0x0, 0x0, 0xc6, 0xc6, 0x6c, 0x7c, 0x38,
          0x10, 0x38, 0x7c, 0x6c, 0xc6, 0xc6, 0x0, 0x0, 0x0, 0x0, 0x0,
          0x66,  0x66, 0x66, 0x66, 0x66, 0x3c, 0x18, 0x18, 0x18, 0x18,
          0x3c,  0x0, 0x0, 0x0, 0x0, 0x0, 0xfe, 0xc6, 0x86, 0xc, 0x18,
          0x30, 0x60, 0xc0, 0xc2, 0xc6, 0xfe, 0x0, 0x0, 0x0, 0x0, 0x0,
          0x3c,  0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30,
          0x3c, 0x0, 0x0, 0x0, 0x0, 0x0, 0xc0, 0x60, 0x60, 0x30, 0x30,
          0x18,  0x18,  0xc,  0xc,  0x6, 0x6, 0x0, 0x0, 0x0, 0x0, 0x0,
          0x3c,  0xc,  0xc,  0xc,  0xc, 0xc, 0xc, 0xc, 0xc, 0xc, 0x3c,
          0x0,  0x0,  0x0, 0x0, 0x0, 0x10, 0x38, 0x6c, 0xc6, 0x0, 0x0,
          0x0,  0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
          0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xff, 0x0,
          0x0,  0x30,  0x18,  0xc,  0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
          0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x78, 0xc,
          0xc,  0x7c, 0xcc, 0xcc, 0xcc, 0x76, 0x0, 0x0, 0x0, 0x0, 0x0,
          0xe0,  0x60, 0x60, 0x78, 0x6c, 0x66, 0x66, 0x66, 0x66, 0x66,
          0xdc,  0x0,  0x0,  0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x7c, 0xc6,
          0xc2, 0xc0, 0xc0, 0xc0, 0xc6, 0x7c, 0x0, 0x0, 0x0, 0x0, 0x0,
          0x1c,  0xc,  0xc,  0x3c, 0x6c, 0xcc, 0xcc, 0xcc, 0xcc, 0xcc,
          0x76,  0x0,  0x0,  0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x7c, 0xc6,
          0xc6, 0xfe, 0xc0, 0xc0, 0xc6, 0x7c, 0x0, 0x0, 0x0, 0x0, 0x0,
          0x1c,  0x36, 0x32, 0x30, 0x78, 0x30, 0x30, 0x30, 0x30, 0x30,
          0x78,  0x0,  0x0,  0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x76, 0xcc,
          0xcc,  0xcc,  0xcc,  0xcc,  0xcc, 0x7c, 0xc, 0x78, 0x0, 0x0,
          0x0,  0xe0,  0x60, 0x60, 0x6c, 0x76, 0x66, 0x66, 0x66, 0x66,
          0x66,  0xe6, 0x0, 0x0, 0x0, 0x0, 0x0, 0x18, 0x18, 0x0, 0x38,
          0x18,  0x18,  0x18,  0x18,  0x18, 0x18, 0x3c, 0x0, 0x0, 0x0,
          0x0,  0x0, 0x6, 0x6, 0x0, 0xe, 0x6, 0x6, 0x6, 0x6, 0x6, 0x6,
          0x6,  0x66,  0x3c,  0x0,  0x0,  0x0, 0xe0, 0x60, 0x60, 0x66,
          0x66,  0x6c,  0x78,  0x78,  0x6c, 0x66, 0xe6, 0x0, 0x0, 0x0,
          0x0,  0x0,  0x38,  0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18,
          0x18,  0x18,  0x3c,  0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
          0xec,  0xfe,  0xd6,  0xd6, 0xd6, 0xd6, 0xc6, 0xc6, 0x0, 0x0,
          0x0,  0x0, 0x0, 0x0, 0x0, 0x0, 0xdc, 0x66, 0x66, 0x66, 0x66,
          0x66,  0x66,  0x66,  0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
          0x7c,  0xc6,  0xc6,  0xc6, 0xc6, 0xc6, 0xc6, 0x7c, 0x0, 0x0,
          0x0,  0x0, 0x0, 0x0, 0x0, 0x0, 0xdc, 0x66, 0x66, 0x66, 0x66,
          0x66,  0x66, 0x7c, 0x60, 0xf0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
          0x76,  0xcc,  0xcc, 0xcc, 0xcc, 0xcc, 0xcc, 0x7c, 0xc, 0x1e,
          0x0,  0x0, 0x0, 0x0, 0x0, 0x0, 0xdc, 0x76, 0x66, 0x60, 0x60,
          0x60,  0x60,  0xf0,  0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
          0x7c,  0xc6,  0xc0,  0x70,  0x1c, 0x6, 0xc6, 0x7c, 0x0, 0x0,
          0x0,  0x0,  0x0,  0x10,  0x30, 0x30, 0xfc, 0x30, 0x30, 0x30,
          0x30,  0x30,  0x36, 0x1c, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
          0x0,  0xcc,  0xcc,  0xcc, 0xcc, 0xcc, 0xcc, 0xcc, 0x76, 0x0,
          0x0,  0x0,  0x0, 0x0, 0x0, 0x0, 0x0, 0xc6, 0xc6, 0xc6, 0x6c,
          0x6c,  0x38,  0x38, 0x10, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
          0x0,  0xc6,  0xc6,  0xd6, 0xd6, 0xd6, 0xfe, 0x6c, 0x6c, 0x0,
          0x0,  0x0,  0x0, 0x0, 0x0, 0x0, 0x0, 0xc6, 0xc6, 0x6c, 0x38,
          0x38,  0x6c,  0xc6, 0xc6, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
          0x0,  0xc6,  0xc6,  0xc6, 0xc6, 0xc6, 0xc6, 0xc6, 0x7e, 0x6,
          0xfc,  0x0,  0x0, 0x0, 0x0, 0x0, 0x0, 0xfe, 0xc6, 0xc, 0x18,
          0x30,  0x60, 0xc6, 0xfe, 0x0, 0x0, 0x0, 0x0, 0x0, 0xe, 0x18,
          0x18,  0x18,  0x30,  0x70, 0x30, 0x18, 0x18, 0x18, 0xe, 0x0,
          0x0,  0x0,  0x0,  0x0,  0x18,  0x18, 0x18, 0x18, 0x18, 0x18,
          0x18, 0x18, 0x18, 0x18, 0x18, 0x0, 0x0, 0x0, 0x0, 0x0, 0x70,
          0x18,  0x18,  0x18,  0xc,  0xe, 0xc, 0x18, 0x18, 0x18, 0x70,
          0x0,  0x0,  0x0,  0x0,  0x76, 0xdc, 0x0, 0x0, 0x0, 0x0, 0x0,
          0x0,  0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
          0x0,  0x10,  0x38,  0x6c,  0xc6, 0xc6, 0xc6, 0xfe, 0x0, 0x0,
          0x0,  0x44,  0x38,  0x0, 0x3a, 0x66, 0xc2, 0xc2, 0xc0, 0xc0,
          0xc0, 0xc0, 0xc2, 0x66, 0x3c, 0x0, 0x0, 0x0, 0x0, 0x0, 0xcc,
          0x0,  0x0,  0xcc,  0xcc, 0xcc, 0xcc, 0xcc, 0xcc, 0xcc, 0x76,
          0x0,  0x0,  0x0, 0x0, 0x6, 0xc, 0x18, 0x0, 0x7c, 0xc6, 0xc6,
          0xfe,  0xc0,  0xc0,  0xc6,  0x7c,  0x0, 0x0, 0x12, 0xc, 0x0,
          0x1c,  0xc,  0xc,  0x3c, 0x6c, 0xcc, 0xcc, 0xcc, 0xcc, 0xcc,
          0x76,  0x0,  0x0,  0x0, 0x0, 0x0, 0xcc, 0x0, 0x0, 0x78, 0xc,
          0xc,  0x7c,  0xcc,  0xcc,  0xcc, 0x76, 0x0, 0x0, 0x88, 0x70,
          0x0,  0xf8,  0x6c, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66,
          0x6c,  0xf8,  0x0,  0x0,  0x24, 0x18, 0x0, 0x7e, 0x7e, 0x5a,
          0x18,  0x18,  0x18,  0x18, 0x18, 0x18, 0x18, 0x3c, 0x0, 0x0,
          0x0,  0x0,  0x0,  0x44,  0x38,  0x0, 0x7c, 0xc6, 0xc2, 0xc0,
          0xc0, 0xc0, 0xc6, 0x7c, 0x0, 0x0, 0x0, 0x0, 0x0, 0x44, 0x38,
          0x0,  0x7c,  0xc6,  0xc6, 0xfe, 0xc0, 0xc0, 0xc6, 0x7c, 0x0,
          0x0,  0x44,  0x38,  0x0, 0xfe, 0x66, 0x62, 0x60, 0x68, 0x78,
          0x68, 0x60, 0x62, 0x66, 0xfe, 0x0, 0x0, 0x1, 0x3, 0x6, 0xf0,
          0x60,  0x60, 0x60, 0x60, 0x60, 0x60, 0x60, 0x62, 0x66, 0xfe,
          0x0,  0x0,  0xc,  0x18,  0x0,  0x3c, 0x18, 0x18, 0x18, 0x18,
          0x18, 0x18, 0x18, 0x18, 0x18, 0x3c, 0x0, 0x0, 0x0, 0x0, 0x3,
          0x39,  0x19, 0x1a, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18,
          0x3c,  0x0,  0x0,  0xc,  0x18,  0x0, 0x38, 0x18, 0x18, 0x18,
          0x18,  0x18,  0x18,  0x18,  0x18, 0x18, 0x3c, 0x0, 0x0, 0x0,
          0xc6,  0x0,  0x10, 0x38, 0x6c, 0xc6, 0xc6, 0xc6, 0xfe, 0xc6,
          0xc6, 0xc6, 0xc6, 0x0, 0x0, 0x6, 0xc, 0x0, 0x10, 0x38, 0x6c,
          0xc6,  0xc6,  0xc6,  0xfe, 0xc6, 0xc6, 0xc6, 0xc6, 0x0, 0x0,
          0x6,  0xc,  0x0,  0xfe,  0x66, 0x62, 0x60, 0x68, 0x78, 0x68,
          0x60, 0x62, 0x66, 0xfe, 0x0, 0x0, 0x0, 0x0, 0x0, 0x44, 0x38,
          0x0,  0xfe,  0xc6,  0xc,  0x18, 0x30, 0x60, 0xc6, 0xfe, 0x0,
          0x0,  0x44,  0x38,  0x0,  0xfe, 0xc6, 0x86, 0xc, 0x18, 0x30,
          0x60,  0xc0,  0xc2,  0xc6,  0xfe,  0x0, 0x0, 0x0, 0x0, 0x10,
          0x38,  0x6c,  0x0, 0x7c, 0xc6, 0xc6, 0xc6, 0xc6, 0xc6, 0xc6,
          0x7c,  0x0,  0x0, 0x0, 0x0, 0x0, 0xc6, 0x0, 0x0, 0x7c, 0xc6,
          0xc6, 0xc6, 0xc6, 0xc6, 0xc6, 0x7c, 0x0, 0x0, 0x6, 0xc, 0x0,
          0x7c,  0xc6, 0xc6, 0xc6, 0xc6, 0xc6, 0xc6, 0xc6, 0xc6, 0xc6,
          0x7c, 0x0, 0x0, 0x0, 0x0, 0x38, 0x44, 0x38, 0x0, 0xcc, 0xcc,
          0xcc, 0xcc, 0xcc, 0xcc, 0xcc, 0x76, 0x0, 0x0, 0x6, 0xc, 0x0,
          0xc6,  0xc6, 0xc6, 0xc6, 0xc6, 0xc6, 0xc6, 0xc6, 0xc6, 0xc6,
          0x7c,  0x0,  0x0, 0x0, 0x0, 0x6, 0xc, 0x18, 0x0, 0xc6, 0xc6,
          0xc6,  0xc6,  0xc6,  0xc6, 0xc6, 0x7e, 0x6, 0xfc, 0x0, 0xc6,
          0x0,  0x7c,  0xc6, 0xc6, 0xc6, 0xc6, 0xc6, 0xc6, 0xc6, 0xc6,
          0xc6,  0x7c,  0x0,  0x0,  0x0,  0xc6, 0x0, 0xc6, 0xc6, 0xc6,
          0xc6,  0xc6,  0xc6,  0xc6, 0xc6, 0xc6, 0xc6, 0x7c, 0x0, 0x0,
          0x44,  0x38,  0x0,  0x7c, 0xc6, 0xc6, 0xc0, 0x60, 0x38, 0xc,
          0x6,  0xc6, 0xc6, 0x7c, 0x0, 0x0, 0x0, 0x0, 0x6, 0xf2, 0x62,
          0x64,  0x60,  0x60, 0x60, 0x60, 0x60, 0x62, 0x66, 0xfe, 0x0,
          0x0,  0x6,  0xc,  0x0,  0x66,  0x66, 0x66, 0x66, 0x66, 0x3c,
          0x18,  0x18,  0x18,  0x18,  0x3c, 0x0, 0x0, 0x44, 0x38, 0x0,
          0xfc,  0x66, 0x66, 0x66, 0x66, 0x7c, 0x78, 0x6c, 0x6c, 0x66,
          0xe6, 0x0, 0x0, 0x0, 0x6, 0x2, 0x32, 0x34, 0x30, 0xfc, 0x30,
          0x30, 0x30, 0x30, 0x30, 0x36, 0x1c, 0x0, 0x0, 0x0, 0x0, 0x6,
          0xc,  0x18,  0x0,  0x78,  0xc,  0xc, 0x7c, 0xcc, 0xcc, 0xcc,
          0x76,  0x0,  0x0, 0x0, 0x0, 0x6, 0xc, 0x18, 0x0, 0x38, 0x18,
          0x18, 0x18, 0x18, 0x18, 0x18, 0x3c, 0x0, 0x0, 0x0, 0x0, 0x6,
          0xc,  0x18,  0x0,  0x7c, 0xc6, 0xc6, 0xc6, 0xc6, 0xc6, 0xc6,
          0x7c,  0x0, 0x0, 0x0, 0x0, 0xc, 0x18, 0x30, 0x0, 0xcc, 0xcc,
          0xcc, 0xcc, 0xcc, 0xcc, 0xcc, 0x76, 0x0, 0x0, 0x0, 0x0, 0x0,
          0x44,  0x38,  0x0, 0xdc, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66,
          0x66,  0x0,  0x0,  0x44,  0x38, 0x0, 0xc6, 0xc6, 0xe6, 0xe6,
          0xf6,  0xd6,  0xde,  0xce, 0xce, 0xc6, 0xc6, 0x0, 0x0, 0x38,
          0x44,  0x38, 0x82, 0xc6, 0xc6, 0xc6, 0xc6, 0xc6, 0xc6, 0xc6,
          0xc6,  0xc6,  0x7c,  0x0,  0x0, 0x38, 0x44, 0x0, 0x7c, 0xc6,
          0xc6,  0xc6,  0xc6, 0xc6, 0xc6, 0xc6, 0xc6, 0xc6, 0x7c, 0x0,
          0x0, 0x0, 0x0, 0x0, 0x44, 0x38, 0x0, 0x7c, 0xc6, 0xc0, 0x70,
          0x1c,  0x6, 0xc6, 0x7c, 0x0, 0x0, 0x0, 0x0, 0x0, 0x44, 0x38,
          0x0,  0xdc,  0x76,  0x66, 0x60, 0x60, 0x60, 0x60, 0xf0, 0x0,
          0x0, 0x0, 0x0, 0xc, 0x18, 0x30, 0x0, 0xdc, 0x76, 0x66, 0x60,
          0x60,  0x60,  0x60,  0xf0,  0x0,  0x0, 0xc, 0x18, 0x0, 0xfc,
          0x66,  0x66, 0x66, 0x66, 0x7c, 0x78, 0x6c, 0x6c, 0x66, 0xe6,
          0x0,  0x0,  0x60,  0xe0, 0x62, 0x66, 0x6c, 0x18, 0x30, 0x66,
          0xce,  0x9a, 0x3f, 0x6, 0x6, 0x0, 0x0, 0x0, 0x0, 0x18, 0x18,
          0x0,  0x18,  0x18,  0x18, 0x3c, 0x3c, 0x3c, 0x3c, 0x18, 0x0,
          0x0,  0x0, 0x0, 0x0, 0x0, 0x0, 0x12, 0x36, 0x6c, 0xd8, 0x6c,
          0x36,  0x12,  0x0,  0x0,  0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
          0x90,  0xd8,  0x6c,  0x36,  0x6c, 0xd8, 0x90, 0x0, 0x0, 0x0,
          0x0,  0x0,  0x0,  0x11,  0x44, 0x11, 0x44, 0x11, 0x44, 0x11,
          0x44,  0x11, 0x44, 0x11, 0x44, 0x11, 0x44, 0x11, 0x44, 0x55,
          0xaa,  0x55, 0xaa, 0x55, 0xaa, 0x55, 0xaa, 0x55, 0xaa, 0x55,
          0xaa,  0x55, 0xaa, 0x55, 0xaa, 0xdd, 0x77, 0xdd, 0x77, 0xdd,
          0x77,  0xdd, 0x77, 0xdd, 0x77, 0xdd, 0x77, 0xdd, 0x77, 0xdd,
          0x77,  0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18,
          0x18,  0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18,
          0x18,  0x18, 0x18, 0x18, 0xf8, 0x18, 0x18, 0x18, 0x18, 0x18,
          0x18,  0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0xf8, 0x18,
          0xf8,  0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x36,
          0x36,  0x36, 0x36, 0x36, 0x36, 0x36, 0xf6, 0x36, 0x36, 0x36,
          0x36,  0x36, 0x36, 0x36, 0x36, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
          0x0,  0xfe,  0x36, 0x36, 0x36, 0x36, 0x36, 0x36, 0x36, 0x36,
          0x0, 0x0, 0x0, 0x0, 0x0, 0xf8, 0x18, 0xf8, 0x18, 0x18, 0x18,
          0x18,  0x18, 0x18, 0x18, 0x18, 0x36, 0x36, 0x36, 0x36, 0x36,
          0xf6,  0x6,  0xf6, 0x36, 0x36, 0x36, 0x36, 0x36, 0x36, 0x36,
          0x36,  0x36, 0x36, 0x36, 0x36, 0x36, 0x36, 0x36, 0x36, 0x36,
          0x36,  0x36,  0x36,  0x36,  0x36, 0x36, 0x36, 0x0, 0x0, 0x0,
          0x0,  0x0,  0xfe,  0x6,  0xf6, 0x36, 0x36, 0x36, 0x36, 0x36,
          0x36,  0x36,  0x36, 0x36, 0x36, 0x36, 0x36, 0x36, 0xf6, 0x6,
          0xfe,  0x0,  0x0,  0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x36, 0x36,
          0x36, 0x36, 0x36, 0x36, 0x36, 0xfe, 0x0, 0x0, 0x0, 0x0, 0x0,
          0x0,  0x0,  0x0,  0x18,  0x18, 0x18, 0x18, 0x18, 0xf8, 0x18,
          0xf8, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
          0x0,  0x0,  0x0,  0x0,  0xf8,  0x18, 0x18, 0x18, 0x18, 0x18,
          0x18,  0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18,
          0x1f,  0x0,  0x0,  0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x18, 0x18,
          0x18, 0x18, 0x18, 0x18, 0x18, 0xff, 0x0, 0x0, 0x0, 0x0, 0x0,
          0x0,  0x0,  0x0,  0x0,  0x0,  0x0, 0x0, 0x0, 0x0, 0x0, 0xff,
          0x18,  0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18,
          0x18,  0x18, 0x18, 0x18, 0x18, 0x1f, 0x18, 0x18, 0x18, 0x18,
          0x18,  0x18,  0x18, 0x18, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
          0xff,  0x0,  0x0,  0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x18, 0x18,
          0x18,  0x18, 0x18, 0x18, 0x18, 0xff, 0x18, 0x18, 0x18, 0x18,
          0x18,  0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x1f,
          0x18,  0x1f, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18,
          0x36,  0x36, 0x36, 0x36, 0x36, 0x36, 0x36, 0x37, 0x36, 0x36,
          0x36,  0x36, 0x36, 0x36, 0x36, 0x36, 0x36, 0x36, 0x36, 0x36,
          0x36,  0x37,  0x30, 0x3f, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
          0x0,  0x0, 0x0, 0x0, 0x0, 0x0, 0x3f, 0x30, 0x37, 0x36, 0x36,
          0x36,  0x36, 0x36, 0x36, 0x36, 0x36, 0x36, 0x36, 0x36, 0x36,
          0x36,  0xf7,  0x0,  0xff, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
          0x0,  0x0,  0x0, 0x0, 0x0, 0x0, 0xff, 0x0, 0xf7, 0x36, 0x36,
          0x36,  0x36, 0x36, 0x36, 0x36, 0x36, 0x36, 0x36, 0x36, 0x36,
          0x36,  0x37, 0x30, 0x37, 0x36, 0x36, 0x36, 0x36, 0x36, 0x36,
          0x36,  0x36,  0x0, 0x0, 0x0, 0x0, 0x0, 0xff, 0x0, 0xff, 0x0,
          0x0,  0x0,  0x0, 0x0, 0x0, 0x0, 0x0, 0x36, 0x36, 0x36, 0x36,
          0x36,  0xf7,  0x0, 0xf7, 0x36, 0x36, 0x36, 0x36, 0x36, 0x36,
          0x36,  0x36,  0x18, 0x18, 0x18, 0x18, 0x18, 0xff, 0x0, 0xff,
          0x0,  0x0,  0x0,  0x0, 0x0, 0x0, 0x0, 0x0, 0x36, 0x36, 0x36,
          0x36,  0x36, 0x36, 0x36, 0xff, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
          0x0,  0x0,  0x0,  0x0, 0x0, 0x0, 0x0, 0xff, 0x0, 0xff, 0x18,
          0x18,  0x18,  0x18,  0x18,  0x18, 0x18, 0x18, 0x0, 0x0, 0x0,
          0x0,  0x0,  0x0,  0x0,  0xff,  0x36, 0x36, 0x36, 0x36, 0x36,
          0x36,  0x36, 0x36, 0x36, 0x36, 0x36, 0x36, 0x36, 0x36, 0x36,
          0x3f,  0x0,  0x0,  0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x18, 0x18,
          0x18, 0x18, 0x18, 0x1f, 0x18, 0x1f, 0x0, 0x0, 0x0, 0x0, 0x0,
          0x0,  0x0,  0x0,  0x0, 0x0, 0x0, 0x0, 0x0, 0x1f, 0x18, 0x1f,
          0x18,  0x18,  0x18,  0x18, 0x18, 0x18, 0x18, 0x18, 0x0, 0x0,
          0x0, 0x0, 0x0, 0x0, 0x0, 0x3f, 0x36, 0x36, 0x36, 0x36, 0x36,
          0x36,  0x36, 0x36, 0x36, 0x36, 0x36, 0x36, 0x36, 0x36, 0x36,
          0xff,  0x36, 0x36, 0x36, 0x36, 0x36, 0x36, 0x36, 0x36, 0x18,
          0x18,  0x18, 0x18, 0x18, 0xff, 0x18, 0xff, 0x18, 0x18, 0x18,
          0x18,  0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18,
          0x18,  0x18,  0xf8,  0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
          0x0,  0x0,  0x0, 0x0, 0x0, 0x0, 0x0, 0x1f, 0x18, 0x18, 0x18,
          0x18,  0x18, 0x18, 0x18, 0x18, 0xff, 0xff, 0xff, 0xff, 0xff,
          0xff,  0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
          0xff,  0x0,  0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xff, 0xff, 0xff,
          0xff,  0xff, 0xff, 0xff, 0xff, 0xff, 0xf0, 0xf0, 0xf0, 0xf0,
          0xf0,  0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0,
          0xf0,  0xf0,  0xf,  0xf,  0xf, 0xf, 0xf, 0xf, 0xf, 0xf, 0xf,
          0xf,  0xf,  0xf, 0xf, 0xf, 0xf, 0xf, 0xff, 0xff, 0xff, 0xff,
          0xff,  0xff,  0xff,  0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
          0x0,  0x0,  0x0,  0x0, 0x0, 0x0, 0x0, 0x0, 0x76, 0xdc, 0xd8,
          0xd8, 0xd8, 0xdc, 0x76, 0x0, 0x0, 0x0, 0x0, 0x0, 0x78, 0xcc,
          0xcc,  0xcc, 0xd8, 0xcc, 0xc6, 0xc6, 0xc6, 0xc6, 0xcc, 0x18,
          0x0, 0x0, 0x0, 0x0, 0x0, 0xfe, 0xc6, 0xc6, 0xc0, 0xc0, 0xc0,
          0xc0,  0xc0,  0xc0, 0xc0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
          0x0,  0xfe,  0x6c,  0x6c, 0x6c, 0x6c, 0x6c, 0x6c, 0x6c, 0x0,
          0x0,  0x0, 0x0, 0x0, 0x0, 0x0, 0xfe, 0xc6, 0x60, 0x30, 0x18,
          0x30,  0x60,  0xc6, 0xfe, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
          0x0,  0x0,  0x7e,  0xd8,  0xd8, 0xd8, 0xd8, 0xd8, 0x70, 0x0,
          0x0,  0x0,  0x0, 0x0, 0x0, 0x0, 0x0, 0x66, 0x66, 0x66, 0x66,
          0x66, 0x66, 0x66, 0x7c, 0x60, 0xc0, 0x0, 0x0, 0x0, 0x0, 0x0,
          0x0,  0x76,  0xdc,  0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x0,
          0x0,  0x0,  0x0,  0x0,  0x0,  0x0,  0x7e,  0x18, 0x3c, 0x66,
          0x66,  0x66, 0x3c, 0x18, 0x7e, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
          0x0,  0x38,  0x6c, 0xc6, 0xc6, 0xfe, 0xc6, 0xc6, 0x6c, 0x38,
          0x0,  0x0, 0x0, 0x0, 0x0, 0x0, 0x38, 0x6c, 0xc6, 0xc6, 0xc6,
          0x6c,  0x6c, 0x6c, 0x6c, 0xee, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
          0x1e,  0x30,  0x18, 0xc, 0x3e, 0x66, 0x66, 0x66, 0x66, 0x3c,
          0x0,  0x0,  0x0,  0x0,  0x0, 0x0, 0x0, 0x0, 0x0, 0x7e, 0xdb,
          0xdb,  0xdb,  0x7e,  0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
          0x0,  0x3,  0x6,  0x7e,  0xdb, 0xdb, 0xf3, 0x7e, 0x60, 0xc0,
          0x0,  0x0, 0x0, 0x0, 0x0, 0x0, 0x1c, 0x30, 0x60, 0x60, 0x7c,
          0x60,  0x60, 0x60, 0x30, 0x1c, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
          0x0,  0x7c,  0xc6, 0xc6, 0xc6, 0xc6, 0xc6, 0xc6, 0xc6, 0xc6,
          0x0,  0x0,  0x0,  0x0,  0x0,  0x0, 0x0, 0x0, 0xfe, 0x0, 0x0,
          0xfe,  0x0,  0x0,  0xfe,  0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
          0x0, 0x18, 0x18, 0x7e, 0x18, 0x18, 0x0, 0x0, 0x7e, 0x0, 0x0,
          0x0,  0x0,  0x0,  0x0,  0x0, 0x0, 0x30, 0x18, 0xc, 0x6, 0xc,
          0x18,  0x30,  0x0,  0x7e, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
          0xc, 0x18, 0x30, 0x60, 0x30, 0x18, 0xc, 0x0, 0x7e, 0x0, 0x0,
          0x0,  0x0,  0xe,  0x1b,  0x1b, 0x18, 0x18, 0x18, 0x18, 0x18,
          0x18,  0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18,
          0x18,  0x18,  0x18,  0x18, 0xd8, 0xd8, 0xd8, 0x70, 0x0, 0x0,
          0x0,  0x0,  0x0,  0x0,  0x0, 0x0, 0x0, 0x0, 0x18, 0x0, 0x7e,
          0x0, 0x18, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
          0x0,  0x0,  0x76, 0xdc, 0x0, 0x76, 0xdc, 0x0, 0x0, 0x0, 0x0,
          0x0,  0x0,  0x38, 0x6c, 0x6c, 0x38, 0x0, 0x0, 0x0, 0x0, 0x0,
          0x0,  0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
          0x0,  0x0,  0x18,  0x18,  0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
          0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x18, 0x0, 0x0, 0x0, 0x0, 0x0,
          0x0, 0x0, 0x0, 0x0, 0x0, 0xf, 0xc, 0xc, 0xc, 0xc, 0xc, 0xec,
          0x6c,  0x6c, 0x3c, 0xc, 0x0, 0x0, 0x0, 0x0, 0x0, 0xd8, 0x6c,
          0x6c,  0x6c,  0x6c, 0x6c, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
          0x0,  0x0, 0x3c, 0x66, 0xc, 0x18, 0x32, 0x7e, 0x0, 0x0, 0x0,
          0x0,  0x0,  0x0,  0x0,  0x0,  0x0, 0x0, 0x0, 0x0, 0x0, 0x7e,
          0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x7e, 0x0, 0x0, 0x0, 0x0, 0x0,
          0x0,  0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
          0x0, 0x0, 0x0 };

