
//     Ŀ
//           HTML convertor for DJGPP version of diskmag Vyhen       
//                      code: ReDox/MovSD (C) 1998                   
//     

#include <stdio.h>
#include <stdlib.h>
#include <dos.h>
#include <dir.h>
#include <io.h>
#include <malloc.h>
#include <string.h>
#include "vyhen.h"

byte *gif_line, *html_pic;

typedef char color[7];
color COLORS[16]={"000000\0","0000A8\0","00A800\0","00A8A8\0","A80000\0",
                  "A800A8\0","A85400\0","A8A8A8\0","808080\0","5454FF\0",
                  "54FF54\0","54FFFF\0","FF5454\0","FF54FF\0","FFFF54\0",
                  "FFFFFF\0"};

typedef struct { char name[20]; int offset; int size; } tpicture;
tpicture pics[1000];
int pic_id;



char KAM_CZ[] = "¿Ŵٺ˻ιʼѸصϾҷ׶н";
char ISO_CZ[] = "̩خګRac|-+++++++++|-+++++++++++++++++++++++++++:IO86ld9#+-=";


char kam2iso(char ch)
{
 int i;
 for (i=0;i<(int)strlen(KAM_CZ);i++)
     if (ch==KAM_CZ[i]) return ISO_CZ[i];
 return ch;
}

void create_data_table()
{
char l[256],oldl[256];
int sorted,d,i;
FILE *fdata;
pic_id=0;text_position=0;
if (pictures_offset==0) return;
while (1) {
      if (vgets(l,MAX_LINE_SIZE)==NULL) break;
      if (strcmp(l,"$PIC")==0 || strcmp(l,"$PNG")==0 ||
          strcmp(l,"$FLI")==0 || strcmp(l,"$JPG")==0)
         {
          strlwr(oldl);
          if (strcmp(l,"$PIC")==0 && strstr(oldl,".gif")==NULL)
             strcat(oldl,".gif");
          if (strcmp(l,"$PNG")==0 && strstr(oldl,".png")==NULL)
             strcat(oldl,".png");
          if (strcmp(l,"$JPG")==0 && strstr(oldl,".jpg")==NULL)
             strcat(oldl,".jpg");
          if (strcmp(l,"$FLI")==0 && strstr(oldl,".fli")==NULL)
             strcat(oldl,".fli");
          strcpy(l,(char *)(oldl+1));sorted=1;
          for (i=0;i<pic_id;i++)
              if (strcmp(l,pics[i].name)==0) sorted=0;
          if (sorted) {
             strcpy(pics[pic_id].name,l);
             if (vgets(l,MAX_LINE_SIZE)==NULL) break;
             pics[pic_id++].offset=atoi(l)+pictures_offset;
             }
         }
      if (strcmp(l,"$EXPBIN")==0)
         {
          if (vgets(l,MAX_LINE_SIZE)==NULL) break;
          strlwr(l);sorted=1;
          for (i=0;i<pic_id;i++)
              if (strcmp(l,pics[i].name)==0) sorted=0;
          if (sorted) {
             strcpy(pics[pic_id].name,l);
             if (vgets(l,MAX_LINE_SIZE)==NULL) break;
             pics[pic_id++].offset=atoi(l)+pictures_offset;
             }
         }
      strcpy(oldl,l);
      }

sorted=1;
while (sorted) {
      sorted=0;
      for (i=0;i<pic_id-1;i++)
          if (pics[i].offset>pics[i+1].offset) {
             sorted=1;d=pics[i].offset;
             pics[i].offset=pics[i+1].offset;
             pics[i+1].offset=d;
             strcpy(l,pics[i].name);
             strcpy(pics[i].name,pics[i+1].name);
             strcpy(pics[i+1].name,l);
             }
      }

for (i=0;i<pic_id-1;i++) pics[i].size=pics[i+1].offset-pics[i].offset;
fdata=fopen(data_name,"rb");
pics[pic_id-1].size=filelength(fileno(fdata))-pics[pic_id-1].offset;
fclose(fdata);
}

void export_gif(int i, char *gname)
{
 FILE *fdata,*fgif;
 unsigned char *buf;
 if (pictures_offset==0) return;
 fgif=fopen(gname,"wb");
 fdata=fopen(data_name,"rb");
 fseek(fdata,pics[i].offset,SEEK_SET);
 buf=(unsigned char *)malloc(pics[i].size);
 fread(buf,pics[i].size,1,fdata);
 if (strstr(pics[i].name,".gif")!=NULL) memcpy(buf,"GIF87a",6);
 fwrite(buf,pics[i].size,1,fgif);
 free(buf);
 fclose(fdata);
 fclose(fgif);
}

void brutal_export()
{

char l[256];
int i;
FILE *fdata;

printf("  Exportuju:\n");

strcpy(l,"vyhen.0");
strcat(l,vyh_num);
printf(" %s -> %ld\n",l,text_size);
fdata=fopen(l,"wb");
fwrite(text,text_size,1,fdata);
fclose(fdata);

for (i=0;i<pic_id;i++) {
    printf(" %s -> %d (%d)\n",pics[i].name,pics[i].offset,pics[i].size);
    export_gif(i,pics[i].name);
    }

}

static int byteeater(x,y)
int x;int y;
{
 return ((unsigned char) html_pic[y*S_X*8+x]);
}


void convert_text_to_html(char *output, char *start_label)
{
  FILE *fout;
  char curr_line[MAX_LINE_SIZE],button_ref[MAX_LINE_SIZE],
       button_text[MAX_LINE_SIZE],ref[MAX_LINE_SIZE],
       html_gif_name[20],fname[20],num[20],*test_eof;
  char str_http[256];
  int href=0;
  int line_id=0,i=0,sl,j;
  byte tx_col=7,gif_start=0,gif_num=0;
  int color_is_default=1;
  fout=fopen(output,"w");

  for (i=0;i<last_label;i++)
      if (strcmp(labels[i].text,start_label)==0) {
         text_position=labels[i].position;
         break;
         }

  do {

       test_eof= (char *)vgets(curr_line,MAX_LINE_SIZE);

       i=0;sl=strlen(curr_line);

       if (line_id==0) {

          if (curr_line[0]=='#')
             strcpy(curr_title,(char *)(curr_line+1));
             else strcpy(curr_title,"");

          for (j=0;j<(int)strlen(curr_title);j++)
              curr_title[j]=kam2iso(curr_title[j]);

          fprintf(fout,
          "<HTML>\n"
          "<HEAD>\n"
          "  <META HTTP-EQUIV=\"Content-Type\" CONTENT=\"text/html; charset=iso-8859-2\">\n"
          "  <TITLE>Vhe - %s</TITLE>\n"
          "</HEAD>\n"
          "<BODY TEXT=\"#A8A8A8\" BGCOLOR=\"#000000\" LINK=\"#FFFFFF\" VLINK=\"#DDDDDD\" ALINK=\"#CCCCCC\">\n"
          "<CENTER><TABLE><TR><TD><PRE>\n",curr_title);
       } else if (gif_line[line_id-1]) {
         if (!gif_start) {
            gif_start=1;
            memset(fname,0,sizeof(fname));
            strncpy(fname,(char *)(start_label+1),6);
            sprintf(num,"%d",gif_num++);
            strcat(num,".gif");
            strcat(fname,num);
            strlwr(fname);
            fprintf(fout,"<CENTER><IMG SRC=\"%s%s\" ALT=\"Obrzek\"></CENTER>\n",pics_path,fname);
            }
         i=sl;
       } else gif_start=0;

       if (strcmp(curr_line,"$END")==0) break;

       while (i<sl) {

        if (curr_line[i]=='~') {
           if (curr_line[i+1]=='~') i++; else {
              memset(button_text,0,sizeof(button_text));
              memset(button_ref,0,sizeof(button_ref));
              memset(ref,0,sizeof(ref));i++;j=0;
              while (curr_line[i]!='~') button_text[j++]=kam2iso(curr_line[i++]);
              button_text[j]='\0';i+=2;j=0;
              while (curr_line[i]!=']') button_ref[j++]=curr_line[i++];
              button_ref[j]='\0';i++;strlwr(button_ref);
              if (strstr(button_ref,".gif")!=NULL ||
                  strstr(button_ref,".jpg")!=NULL ||
                  strstr(button_ref,".png")!=NULL) {
                 memset(html_gif_name,0,sizeof(html_gif_name));
                 strcpy(html_gif_name,button_ref);
                 if (fexists(html_gif_name))
                    html_gif_name[strlen(html_gif_name)-6]='0';
                 fprintf(fout,"<CENTER><IMG SRC=\"%s%s\" ALT=\"Obrzek: %s\"></CENTER>\n",pics_path,html_gif_name,button_text);
                 fprintf(fout,"<FONT COLOR=\"#FFFFFF\"><CENTER>%s</CENTER></FONT>\n",button_text);
                 for (j=0;j<pic_id;j++)
                     if (strcmp(pics[j].name,button_ref)==0) {
                        printbuf(split_buffer,24,1,15,"            ");
                        printbuf(split_buffer,24,1,15,html_gif_name);
                        driver->update_split();
                        if (vyhen_pack)
                           export_gif(j,html_gif_name);
                        }
                 } else {
                 strncpy(ref,button_ref,8);strcat(ref,".html");
                 fprintf(fout,"<A HREF=\"%s\">%s</A>",ref,button_text);
                 }
              goto next_char;
              }
           }

        if (!strncmp(curr_line+i,"http://",7)) {i+=7; href=1;}
        else if (!strncmp(curr_line+i,"ftp://",7)) {i+=6; href=2;}

        if (href)
        {
          int pos=0;
          char * href_type="";
          if (href==1) href_type="http";
          if (href==2) href_type="ftp";
          href=0;

          next_http:
          if (curr_line[i]=='\n') goto next_char;
          if (curr_line[i]=='$') goto next_char;
          if (curr_line[i]=='|') {i+=3; goto next_http;}
          if (curr_line[i]==' ') goto end_http;
          str_http[pos++]=curr_line[i++];
          if (pos<255) goto next_http;
          end_http:
          str_http[pos]=0;
          fprintf (fout, "<A HREF=\"%s://%s\">%s://%s</A>",href_type,str_http,href_type,str_http);
        }

        if (curr_line[i]=='|') {
          if (curr_line[i+3]=='~') {i+=3;goto next_char;}

          if ((curr_line[i+1]=='|') && (IS_NUM(curr_line[i+2]))) {
             i+=3;goto next_char;
             }

          if (IS_NUM(curr_line[i+1])) {
             tx_col = 10*(curr_line[i+1]-'0') + curr_line[i+2]-'0';

             if (color_is_default) {
               if (tx_col!=7) {
                 fprintf(fout,"<FONT COLOR=\"#%s\">",COLORS[tx_col]);
                 color_is_default=0;
               }
             } else {
               fprintf (fout,"</FONT>");
               if (tx_col==7) color_is_default=1;
               else fprintf(fout,"<FONT COLOR=\"#%s\">",COLORS[tx_col]);
             }
             i+=3;goto next_char;
             }
          }

        if (curr_line[i]!='\n' && line_id>0)
           fputc(kam2iso(curr_line[i]),fout);

        i++;
        next_char:

        }

        if (curr_line[sl-1]!='$') {
           if (gif_line[line_id-1]==0)
              fprintf(fout,"\n");
           line_id++;
           }

  } while (test_eof!=NULL);
  if (!color_is_default) fprintf (fout,"</FONT>\n");

fprintf(fout,
"</PRE></TD></TR></TABLE></CENTER>\n"
"</BODY></HTML>\n");

fclose(fout);

}

void detect_ansi()
{
 int i,j;
 for (j=0;j<last_line-1;j++) {
     gif_line[j]=0;
     for (i=0;i<S_X;i++)
         if (scroll_buffer[j][i*2]<32 || scroll_buffer[j][i*2]>169)
            gif_line[j]=1;
     }

 v_hide_mouse();
 for (j=0;j<last_line-1;j++)
     if (gif_line[j])
        for (i=0;i<S_X;i++)
            scroll_buffer[j][i*2+1]|=112;
 driver->update_buffer();
 v_show_mouse();
}

void create_html()
{
int y,yi,yp,x,xp,start=0,start_y=0,gif_num=0;
char fname[20],num[20];
printbuf(split_buffer,0,1,15,"  Konvertuji do HTML:                ");
driver->update_split();
driver->set_splitsize(2);
for (yi=0;yi<=last_line;yi++)
    if (gif_line[yi]) {
       if (!start) {
          start_y=yi;
          start=1;
          }
       } else if (start) {
       html_pic=(unsigned char *)malloc((yi-start_y)*S_X*128);
       for (y=start_y,yp=0;y<yi;y++,yp+=16)
           for (x=0,xp=0;x<80;x++,xp+=8) {
               byte ch=html_scroll_buffer[y][x*2],
               attr=html_scroll_buffer[y][x*2+1],
               bk=(attr>>4)&7,col=attr&15,i,j,bit;
               for (i=0;i<16;i++) for (j=0,bit=128;j<8;j++,bit>>=1)
               html_pic[(yp+i)*S_X*8+xp+j]=(FONT_DATA[ch*16+i]&bit)?col:bk;
               }
       memset(fname,0,sizeof(fname));
       strncpy(fname,(char *)(curr_label+1),6);
       sprintf(num,"%d",gif_num++);
       strcat(num,".gif");
       strcat(fname,num);
       printbuf(split_buffer,24,1,15,"            ");
       printbuf(split_buffer,24,1,15,fname);
       driver->update_split();
       GIFEncode(fname,S_X*8,(yi-start_y)*16,0,0,4,BIOS_PAL,byteeater);
       free(html_pic);
       start=0;
       }
memset(fname,0,sizeof(fname));
strncpy(fname,(char *)(curr_label+1),8);
strcat(fname,".htm");
printbuf(split_buffer,24,1,15,"            ");
printbuf(split_buffer,24,1,15,fname);
driver->update_split();
convert_text_to_html(fname,curr_label);
driver->set_splitsize(split_active);
}