//       Ŀ
//                0% portable GNU-C hypertext engine          
//                                                                  
//                           .sS$                 S             
//                $$$$~  !S    !$S $' .sSS$Ss.`!$.sSs.            
//                $$$' `$$$.`b   .$$ $  !' `!$b $$$$.           
//                !$!    $$b $b..d$! $.sSs. .sSSS $   !$$           
//                 $$    !$$ $$$!.$$S!^!$. $    $$           
//                  ?$s.d$$  `$$  i$$'   $$  .d',$   i$!           
//                   `!   sdS'  SS$   d$! S!'.$$ .d$! gr        
//                                                                  
//                  by ReDox/MovSD & HH/AA (C) 19-03-1999           
//                                                                  
//       
//                             DJGPPver1.1

#include <stdio.h>
#include <stdlib.h>
#include <go32.h>
#include <dpmi.h>
#include <dos.h>
#include <dir.h>
#include <pc.h>
#include <io.h>
#include <malloc.h>
#include <conio.h>
#include <string.h>
#include <allegro.h>
#include <inlines/pc.h>
#include <stdarg.h>
#include "vyhen.h"

struct driver *driver;
int max_lines=2000;

char curr_title[128],gif_name[128],png_name[128],jpg_name[128],
     export_name[128],pics_path[128],data_name[128],exe_name[128],
     module_name[128],vyh_num[MAXEXT],font_name[128],fli_name[128],
     curr_label[MAX_LABEL_LENGTH]="$BEGIN";

byte (*scroll_buffer)[S_X*2]=NULL, split_buffer[MAX_SPLIT][S_X*2],
     pal[768], pal2[768], vyhen_pack, *gif_line, *html_pic,
     (*html_scroll_buffer)[S_X*2]=NULL;

int left_pressed, right_pressed, center_pressed, mouse_x, mouse_y,
    change_page, o_mouse_x, o_mouse_y, o_scroll_line, button_blink, err_line,
    last_button, last_label, history_id, stop_reading, s_y=30, module_num=-1,
    split_active=1, MIDAS_config=0, mode_stdvga=0, mode_hidemouse=0,
    mode_html=0, mode_stdmode=0, mode_monochrome=0, mode_export=0,
    curr_module=0, scroll_speed=-1, scroll_direction=1, mode_nomouse=0,
    o_last_line=0, selected_button=-1, mode_auto=0, full_version_error,
    keyboard_installed;

tbutton button[MAX_BUTTON];
thistory history[MAX_HISTORY];
tlabel labels[MAX_LABELS];

struct { char logo[242];
         long int data_position;
         byte redakce[4000];
         byte end_screen[4000]; } header;

struct { int x1,y1,x2,y2; } redakce;

int printbuf(byte buff[][S_X*2], int x, int y, int attr, char *format,...)
{ va_list args;
  char buf[4096];
  int s;
  int i;
  va_start(args,format);
  s=vsprintf(buf,format,args);
  for(i=0;i<s;i++)
   if( x+i>=0 && x+i<S_X )
     buff[y][(x+i)*2+1]=attr,
     buff[y][(x+i)*2]=buf[i];
  return s;
}

int fexists(char *filename)
{
 struct find_t ff;
 return (!_dos_findfirst(filename,_A_ARCH|_A_RDONLY,&ff));
}

int vgetc(void)
{
  char c;
  if (text_position>=text_size) {
     stop_reading=1; return 0;
     } else stop_reading=0;
  c=*(text+text_position++);
  if (c=='\r') c=*(text+text_position++);
  return c;
}

char *vgets(char *s,int n)
{
 register char c;
 register char *cs;
 cs = s;
 while ( (--n > 0) && (c=vgetc(),!stop_reading) ) {
       if (c=='\0') c=32;
       if (c=='\n') c='\0';
       *cs++=c;
       if (c=='\0') break;
       }
 if (stop_reading) *cs='\0';
 return((stop_reading && cs == s) ? NULL:s);
}



int load_scroll_buffer(char *start_label)
{
  FILE *fe,*fi;
  char curr_line[MAX_LINE_SIZE],*test_eof;
  int line_id=0,i=0,scr_i=0,button_active=0,sl,j,button_id=0;
  byte bk_col=0,tx_col=7,char_attr=7,o_bk_col=0,*data;
  long data_position,data_size;

  text_position=-1;
  strcpy(export_name,"");
  strcpy(gif_name,"");
  strcpy(png_name,"");
  strcpy(jpg_name,"");
  strcpy(fli_name,"");

  for (i=0;i<last_label;i++)
      if (strcmp(labels[i].text,start_label)==0) {
         text_position=labels[i].position;
         break;
         }

  if (text_position==-1) return(-2);
  full_version_error=0;

  do {

       test_eof= (char *)vgets(curr_line,MAX_LINE_SIZE);

       if (line_id==0) {

          if (strcmp(curr_line,"$PIC")==0) {
#ifdef __FULL__
             if (vyhen_pack && pictures_offset==0) full_version_error=1;
                else vgets(gif_name,MAX_LINE_SIZE);
#else
             full_version_error=1;
#endif
             return 0;
             }

          if (strcmp(curr_line,"$PNG")==0) {
#ifdef __FULL__
             if (vyhen_pack && pictures_offset==0) full_version_error=1;
                else vgets(png_name,MAX_LINE_SIZE);
#else
             full_version_error=1;
#endif
             return 0;
             }

          if (strcmp(curr_line,"$JPG")==0) {
#ifdef __FULL__
             if (vyhen_pack && pictures_offset==0) full_version_error=1;
                else vgets(jpg_name,MAX_LINE_SIZE);
#else
             full_version_error=1;
#endif
             return 0;
             }

          if (strcmp(curr_line,"$FLI")==0) {
#ifdef __FULL__
             if (vyhen_pack && pictures_offset==0) full_version_error=1;
                else vgets(fli_name,MAX_LINE_SIZE);
#else
             full_version_error=1;
#endif
             return 0;
             }

          if (strcmp(curr_line,"$EXPORT")==0) {
              vgets(export_name,MAX_LINE_SIZE);
              if (fexists(export_name))
                 return 0;
              if ((fe=fopen(export_name,"w"))==NULL)
                 return -5;
              while (1) {
               vgets(curr_line,MAX_LINE_SIZE);
               if (strcmp(curr_line,"$END")==0)
                  break;
               fprintf(fe,"%s\n",curr_line);
               }
              fclose(fe);
              return 0;
             }

          if (strcmp(curr_line,"$EXPBIN")==0) {
             vgets(export_name,MAX_LINE_SIZE);
             if (pictures_offset==0) {
                full_version_error=1;
                return 0;
                }
             if (fexists(export_name))
                return 0;
             vgets(curr_line,MAX_LINE_SIZE);
             data_position=atol(curr_line);
             vgets(curr_line,MAX_LINE_SIZE);
             data_size=atol(curr_line);
             if ((fe=fopen(export_name,"wb"))==NULL)
                return -6;
             if ((fi=fopen(data_name,"rb"))==NULL)
                return -6;
             fseek(fi,pictures_offset+data_position,SEEK_SET);
             if ((data=(byte *)malloc(data_size))==NULL)
                return -6;
             fread(data,data_size,1,fi);
             fwrite(data,data_size,1,fe);
             free(data);
             fclose(fe);
             fclose(fi);
             return 0;
             }

          if (curr_line[0]=='#')
             strcpy(curr_title,(char *)(curr_line+1));
             else strcpy(curr_title,"");

          memset(scroll_buffer,0,S_X*max_lines*2);
          }

       i=0;sl=strlen(curr_line);err_line=line_id-1;

       if (strcmp(curr_line,"$END")==0) break;

       while (i<sl) {

        if (curr_line[i]=='~') {

           if (curr_line[i+1]=='~') i++; else

              if (!button_active) {
                 button_active=1;
                 o_bk_col = bk_col;
                 bk_col=BUTTON_COLOR; i++;
                 char_attr = tx_col + bk_col * 16;
                 button[button_id].y=line_id-1;
                 button[button_id].x1=scr_i/2;
                 goto next_char;
                 } else {

                 if (curr_line[++i]!='[') return(-4);

                 i++;j=0;
                 button[button_id].x2=scr_i/2-1;

                 while (curr_line[i]!=']') {
                        button[button_id].label[j]=curr_line[i];
                        i++;j++;
                        if (i>sl) return(-4);
                        }

                 button[button_id].label[j]='\0';

                 button_id++;
                 button_active=0; i++;
                 bk_col = o_bk_col;
                 char_attr = tx_col + bk_col * 16;
                 goto next_char;

                 }

           }

        if (curr_line[i]=='|') {

          if ((curr_line[i+1]=='|') && (IS_NUM(curr_line[i+2]))) {
             bk_col = curr_line[i+2]-'0';
             char_attr = tx_col + bk_col * 16;
             i+=3;goto next_char;
             }

          if (IS_NUM(curr_line[i+1])) {
             tx_col = 10*(curr_line[i+1]-'0') + curr_line[i+2]-'0';
             char_attr = tx_col + bk_col * 16;
             i+=3;goto next_char;
             }
          }

        if (curr_line[i]!='\n' && line_id>0) {
           scroll_buffer[line_id-1][scr_i]=curr_line[i];
           scroll_buffer[line_id-1][scr_i+1]=char_attr;
           scr_i+=2;
           }

        i++;

        next_char:

        }

        if (curr_line[sl-1]!='$') {
           if (line_id>0)
           for (;scr_i<=S_X*2;scr_i+=2) {
               scroll_buffer[line_id-1][scr_i]=32;
               scroll_buffer[line_id-1][scr_i+1]=char_attr;
               }
           scr_i=0;
           line_id++;
           if (line_id-1>=max_lines) {
             scroll_buffer=realloc(scroll_buffer,(max_lines+200)*2*S_X);
             memset(&scroll_buffer[max_lines],0,200*2*S_X);
             max_lines+=200;
           }
           if (button_active) return(-4);
           } else scr_i-=2;

  } while (!((test_eof==NULL) || (line_id-1>60000)));

  if ((test_eof==NULL) || (line_id-1>60000)) return(-3);

  last_button=button_id-1;

  return(line_id-1);

}

int is_packed(char *fname)
{
 FILE *f;
 if ((f = fopen(fname,"rb"))==NULL) {
    printf("\n  Chyba #01: Nemohu najit soubor %s !\n",fname);
    exit(0);
    }

 fread(&header.logo,sizeof header.logo,1,f);
 fread(&header.data_position,sizeof header.data_position,1,f);
 fread(&header.redakce,sizeof header.redakce,1,f);
 fread(&header.end_screen,sizeof header.end_screen,1,f);
 fclose(f);

 if (LOGO_POSITION==
    (int)(strstr(header.logo,VYHEN_LOGO)-header.logo)) {
    vyh_num[0]=header.logo[LOGO_POSITION+9];
    vyh_num[1]=header.logo[LOGO_POSITION+10];
    vyh_num[2]='\0';
    return 1;
    }

 if (OLD_LOGO_POSITION==
    (int)(strstr(header.logo,OLD_VYHEN_LOGO)-header.logo)) {
    vyh_num[0]=header.logo[OLD_LOGO_POSITION+9];
    vyh_num[1]='\0';
    return 2;
    }

 return 0;

}

void create_labels()
{
  char line[256];
  last_label=0;
  text_position=0;
  while (((char *)vgets(line,MAX_LINE_SIZE))!=NULL) {
     if (line[0]=='$'
         && strcmp(line,"$END")!=0
         && strcmp(line,"$PIC")!=0
         && strcmp(line,"$FLI")!=0
         && strcmp(line,"$EXPORT")!=0
         && strcmp(line,"$EXPBIN")!=0) {
        if ((labels[last_label].text=(char *)malloc(strlen(line)+1))==NULL) {
           printf("\n  Chyba #00: Nedostatek pameti !\n");
           exit(0);
           }
        strcpy(labels[last_label].text,line);
        labels[last_label++].position=text_position;
        }
    }
}

static void inline exitus()
{
 int i;
 v_remove_keyboard();
 while (kbhit()) getch();
#ifdef __FULL__
 allegro_exit();
#endif
 driver->exit();
 if (!mode_stdmode) MIDAS_Done();
 if (vyhen_pack) {
 for (i=0;i<4000;i++) header.end_screen[i]=~(header.end_screen[i]+1);
 dosmemput(header.end_screen,4000,SEG_B800);
 }
 gotoxy(1,25);
 exit(0);
}

void detect_redakce_margins()
{

 int x,y;

 for (x=0;x<4000;x++) header.redakce[x]=~(header.redakce[x]+1);

 redakce.y1=0;
 for (y=0;y<25;y++)
     if (redakce.y1==0)
        for (x=0;x<80;x++)
        if (header.redakce[y*160+x*2]!=0) {
           redakce.y1=y;
           break;
           }

 redakce.y2=24;
 for (y=24;y>=0;y--)
     if (redakce.y2==24)
        for (x=0;x<80;x++)
            if (header.redakce[y*160+x*2]!=0) {
               redakce.y2=y;
               break;
               }

 redakce.x1=0;
 for (x=0;x<80;x++)
     if (redakce.x1==0)
        for (y=0;y<25;y++)
            if (header.redakce[y*160+x*2]!=0) {
               redakce.x1=x;
               break;
               }

 redakce.x2=79;
 for (x=79;x>=0;x--)
     if (redakce.x2==79)
        for (y=0;y<25;y++)
            if (header.redakce[y*160+x*2]!=0) {
               redakce.x2=x;
               break;
               }

}

void highlite_button(int id)
{
 int i,x;
 byte c;
 if (last_button<0) return;
 for (i=0;i<=last_button;i++)
     for (x=button[i].x1;x<=button[i].x2;x++) {
         c = scroll_buffer[button[i].y][x*2+1]; c -= (c/16)*16;
         c += (id==i) ? ACTIVE_BUTTON_COLOR*16 : BUTTON_COLOR*16;
         scroll_buffer[button[i].y][x*2+1] = c;
         }
 driver->update_buffer();
 selected_button=id;
}

void draw_split()
{
int i;
for (i=0;i<80;i++) printbuf(split_buffer,i,0,0x30," ");
printbuf(split_buffer,67,0,0x30,"  ");
printbuf(split_buffer,1,0,0x30," 0123456789 ");
printbuf(split_buffer,1,0,0x3b,"[");
printbuf(split_buffer,12,0,0x3b,"]");
printbuf(split_buffer,67,0,0x3b,"[");
printbuf(split_buffer,78,0,0x3b,"]");
if (strcmp(curr_title,"")!=0) {
   i=(S_X-strlen(curr_title))/2;
   printbuf(split_buffer,i,0,0x30,"%s",curr_title);
   printbuf(split_buffer,i-2,0,0x3b,"[");
   printbuf(split_buffer,i+strlen(curr_title)+1,0,0x3b,"]");
   }
}

void draw_per()
{
int per,i;
per=driver->scroll_range?driver->scroll_pos*10/driver->scroll_range:10;
if (per>10) per=10;
for (i=1;i<=per;i++) {
    split_buffer[0][(i+67)*2]='';
    split_buffer[0][(i+67)*2+1]=0x3f;
    }
for (i=per+1;i<=10;i++) {
    split_buffer[0][(i+67)*2]='';
    split_buffer[0][(i+67)*2+1]=0x30;
    }
for (i=2;i<=11;i++)
    if (module_num+2==i)
       split_buffer[0][(module_num+2)*2+1]=0x3f;
       else split_buffer[0][i*2+1]=0x30;
driver->update_split();
}

void draw_module(int id)
{int b,x,y;
 char fname[MAXFILE+MAXEXT], ext[MAXEXT];
 fnsplit(module_name_array[id],NULL,NULL,fname,ext);
 strcat(fname,ext);
 if (id==module_num) b=0x5f;
    else b=0x1f;
 if (id<5) x=id*15+3,y=2;
    else x=(id-5)*15+3,y=4;
 printbuf(split_buffer,x,y,b,"              ");
 if (id<5) x=id*15+4+6-strlen(fname)/2,y=2;
    else x=(id-5)*15+4+6-strlen(fname)/2,y=4;
 printbuf(split_buffer,x,y,b,"%s",fname);
}

void draw_redakce()
{
 char back[S_X*s_y*2];
 int x,y,ll;
 memcpy(back,scroll_buffer+driver->s_start,sizeof(back));
 driver->set_splitsize(split_active);
 for (y=redakce.y1;y<=redakce.y2;y++)
 for (x=redakce.x1;x<=redakce.x2;x++)
     scroll_buffer[y+driver->s_start][2*x]=header.redakce[y*S_X*2+2*x],
     scroll_buffer[y+driver->s_start][2*x+1]=header.redakce[y*S_X*2+2*x+1];
     ll=last_line; /*HH pro pripad, ze buffer je moc ktratkej*/
     if(last_line<s_y) last_line=s_y;
     driver->update_buffer();
 do { v_read_mouse(); } while (!right_pressed && !key[KEY_ESC]);
 memcpy(scroll_buffer+driver->s_start,back,sizeof(back));
 last_line=ll;driver->update_buffer();
 while(right_pressed) v_read_mouse();
 while(key[KEY_ESC]);
}

void do_export()
{
 char v_line[S_X+2],fn[12],ch;
 FILE *f;
 int i,x;
 strncpy(fn,(char *)(curr_label+1),8);
 v_line[S_X]=0;
 strcat(fn,".txt");
 if (!fexists(fn))
 if ((f=fopen(fn,"w"))!=NULL) {
    for (i=0;i<=last_line;i++) {
        for (x=0;x<S_X;x++) {
            ch=scroll_buffer[i][x*2];
            if (ch==0) ch=32;
            v_line[x]=ch;
            }
        fprintf(f,"%s\n",v_line);
        }
    fclose(f);
    }
}

int draw_menu()
{
 int i,j,ret_to_DOS=0,o_m;

 memcpy(&split_buffer[1],MENU_IMAGE,7*S_X*2);

 for (i=0;i<=last_module;i++) draw_module(i);

 if (split_active) i=16; else i=0; j=i;

 driver->update_split();
 driver->set_splitsize(SPLIT_MENU);

 while (!key[KEY_ESC] && !right_pressed) {
       driver->update_mouse();
       if (left_pressed && mouse_x>2 && (mouse_x-2)%15!=0 && mouse_x<77) {
          o_m=module_num;
          if (mouse_y==1) switch_module((mouse_x-2)/15);
          if (mouse_y==3) switch_module((mouse_x-2)/15+5);
          if (mouse_y==5) switch ((mouse_x-2)/15) {
                          case 0 : do_export();
                                   right_pressed=1;
                                   break;
                          case 1 : if (vyhen_pack) {
                                      draw_redakce();
                                      return 0;
                                      }
                                   break;
                          case 2 : switch_module(STOP_MUSIC);
                                   break;
                          case 3 : right_pressed=1;
                                   break;
                          case 4 : right_pressed=1;
                                   ret_to_DOS=1;
                          }
          if (module_num!=o_m) {
             v_hide_mouse();
             if (module_num>=0) draw_module(module_num);
             if (o_m>=0) draw_module(o_m);
             for (i=2;i<=11;i++)
                 if (module_num+2==i)
                    split_buffer[0][(module_num+2)*2+1]=0x3f;
                    else split_buffer[0][i*2+1]=0x30;
             driver->update_split();
             v_show_mouse();
             }
          }
       }

 driver->set_splitsize(split_active);
 v_read_mouse();

 return ret_to_DOS;

}

void draw_help()
{
 printf("   Vyhen  v1.1 (EGCS-1.1.1/DOS) - ReDox/MovSD & HH/AA * (C) 1999\n"
        "  Pouziti: vyhen.exe [vyhen.*|*.0*] [*.mod|*.s3m|*.xm|*.lst] [-param...]\n"
        "  Parametry: -config    : rekonfigurace MIDASe a video synchronizace vse\n"
        "                           se ulozi do souboru vyhen.cfg\n"
        "              -font      : nahradi standardni font fontem novym, ktery musi\n"
        "                           splonvat tyto parametry - kodovani br. Kamenici a\n"
        "                           rozmery 8x16 bitu, priklad: -font:c00l.fnt\n"
        "              -auto      : automaticke prepinani modulu ze seznamu *.lst\n"
        "              -b&w       : zelena tlacitka pro monochromaticke monitory\n"
        "              -stdvga    : standardni textovy mod 80x25 (BiOS_id:0x03)\n"
        "              -nomidas   : spusteni bez MiDASe a jeho vret-sync timeru\n"
        "              -stdmode   : nahrada hardwaroveho scrollingu datovym\n"
        "              -html      : spusti Vyhen v rezimu kovertoru do formatu HTML\n"
        "              -path      : cesta, ktera se bude vkladat pred jmeno obrazku\n"
        "                           v HTML verzi clanku Vyhne, napr.: -path:../../\n"
        "              -export    : vyexportuje na disk vsechny obrazky, animace,\n"
        "                           soubory pro binarni export a puvodni text Vyhne\n"
        "              -nomouse   : nahodi ovladani pomoci klavesnice, ktere se\n"
        "                           spousti kdyz neni nainstalovana mys\n"
        "              -hidemouse : mys zmizi a zobrazi se jen kdyz je ji potreba\n"
        "              -?         : zobrazi tento referenci seznam parametru\n");
 exit(0);
}

void go_new_page(byte id)
{
 history[history_id].mouse_x=mouse_x;
 history[history_id].mouse_y=mouse_y;
 history[history_id].selected_button=selected_button;
 history[history_id].scroll_pos=driver->scroll_pos;
 history[history_id].scroll_line=scroll_line;
 strcpy(history[history_id].curr_label,curr_label);
 history_id++;
 strcpy(curr_label,"$");
 strcat(curr_label,button[id].label);
 history[history_id].mouse_x = S_X/2;
 history[history_id].mouse_y = s_y/2;
 history[history_id].scroll_pos = 0;
 history[history_id].scroll_line = MAX_SPLIT;
 history[history_id].selected_button = -1;
 strcpy(history[history_id].curr_label,curr_label);
 change_page=1;
 driver->hide_text();
}

void go_back(byte id)
{
 history_id-=id;
 if (history_id<0) exitus();
 change_page=1;
 driver->hide_text();
}

void highlite_first_visible_button(int s_start,int s_end)
{
int highlited=0,j;
if (scroll_direction>0) {
for (j=0;j<=last_button;j++)
    if (button[j].y>s_start && button[j].y<s_end) {
       highlite_button(j);
       highlited=1;
       break;
       }
   } else {
for (j=last_button;j>=0;j--)
    if (button[j].y>s_start && button[j].y<s_end) {
       highlite_button(j);
       highlited=1;
       break;
       }
}
if (!highlited) highlite_button(-1);
}

int mem_avail()
{
  _go32_dpmi_meminfo info;
  _go32_dpmi_get_free_memory_information(&info);
  if (info.available_physical_pages != -1)
    return info.available_physical_pages * 4096;
  return info.available_memory;
}

int main( int argc, char *argv[] )
{

 FILE *f;
 struct find_t find_file;
 int i;
 char ext[MAXEXT],curr_ext[MAXEXT];

#ifndef __FULL__
 mode_stdmode=1;
#endif

 driver=&hsc_driver;
 hardware_scrolling_enabled=0;
 button_blink=0;

 strcpy(data_name,"");
 strcpy(exe_name,argv[0]);

 for (i=1;i<argc;i++) {while(1){
     if (strstr(argv[i],"-")==NULL) {
        fnsplit(argv[i],NULL,NULL,NULL,ext);
        if (strcmp(ext,".xm")==0 ||
           strcmp(ext,".mod")==0 ||
           strcmp(ext,".s3m")==0 ||
           strcmp(ext,".lst")==0 ) {strcpy(module_name,argv[i]);break;}
        else {strcpy(data_name,argv[i]);break;}
        }
     if (strstr(argv[i],"-config")) {MIDAS_config=1;break;}
     if (strstr(argv[i],"-b&w")) {mode_monochrome=1;break;}
     if (strstr(argv[i],"-auto")) {mode_auto=1;break;}
     if (strstr(argv[i],"-hidemouse")) {mode_hidemouse=1;break;}
     if (strstr(argv[i],"-nomouse")) {mode_nomouse=1;break;}
     if (strstr(argv[i],"-stdvga")) {mode_stdvga=1;break;}
     if (strstr(argv[i],"-nomidas")) {mode_stdmode=1;break;}
     if (strstr(argv[i],"-stdmode")) {mode_stdmode=1;driver=&dsc_driver;break;}
     if (strstr(argv[i],"-export")) {mode_export=1;break;}
     if (strstr(argv[i],"-html")) {mode_html=1;break;}
     if (strstr(argv[i],"-path:")) {strcpy(pics_path,(char *)(argv[i]+6));
        printf("  Cesta pro HTML odkazy na obrazky: %s\n",pics_path);break;}
     if (strstr(argv[i],"-font:")) {strcpy(font_name,(char *)(argv[i]+6));
        if ((f=fopen(font_name,"rb"))==NULL) {
           printf("\n  Chyba #12: Font %s nenalezen !\n",font_name);exit(0);}
        printf("  Novy font: %s\n",font_name);
        fread(&FONT_DATA,16*256,1,f);fclose(f);break;}
     draw_help();
     }}

 if (!strcmp(data_name,"")) { i=0;
 if (!_dos_findfirst("vyhen.*",_A_ARCH | _A_RDONLY, &find_file)) {
    do {
       int ext_num;
       fnsplit(find_file.name,NULL,NULL,NULL,ext);
       ext_num=atoi(&ext[1]);
       if (ext_num==0 && ext[1]!='0') ext_num=-1;
       if (ext_num>=0 && ext_num<=VYHEN_LAST_NUM) {
          if (i++==0) printf("  Na disku jsou tato cisla:\n");
          printf(" -> %s\n",find_file.name);
          strcpy(curr_ext,ext);
          }
       }
    while(!_dos_findnext(&find_file));
    if (i==0) draw_help();
    strcpy(data_name,"vyhen");
    if (i>1) {
    printf("  Napis cislo, ktere si chces precist: ");
    fflush(stdout);
    scanf("%s",vyh_num);
    strcat(data_name,".");
    strcat(data_name,vyh_num);
    } else strcat(data_name,curr_ext);
    printf("  Poustim %s\n",data_name);
    }
 }

 printf("  Volna pamet [%dkB]\n",mem_avail()/1024);

 if (v_is_mouse()) printf("  Myska funguje\n"); else {
    printf("  Myska nefunguje, ale klavesnice snad funguje... \n");
    mode_nomouse=1;
    }

 vyhen_pack=is_packed(data_name);

 if (vyhen_pack) detect_redakce_margins();

 if (vyhen_pack) {
    if (vyhen_pack==1) gz_unpack(data_name,LZH_CODE_POSITION);
       else {
       lzh_unpack(data_name,LZH_CODE_POSITION);
       gz_create(data_name,LZH_CODE_POSITION);
       vyhen_pack=1;
       }
    }
    else
    {
    if ((f = fopen(data_name,"rb"))==NULL) {
       printf("\n  Chyba #01: Nemohu najit soubor %s !\n",data_name);
       exit(0);
       }
    text_size=filelength(fileno(f));
    if ((text=(byte *) malloc(text_size))==NULL) {
       printf("\n  Chyba #00: Nedostatek pameti !\n");
       exit(0);
       }
    printf("  Nahravam [%dkB]\n",(int)text_size/1024);
    fread(text,text_size,1,f);
    }

 printf("  Vytvarim tabulku odkazu\n");create_labels();

 if (mode_html) create_data_table();

 if (mode_export & vyhen_pack) {
    create_data_table();
    brutal_export();
    exit(0);
    }
 if (!mode_stdmode) MIDAS_Init(module_name,MIDAS_config);

#ifdef __FULL__
 printf("  Allegro inicializace\n");
 allegro_init();
#endif

 v_install_keyboard();

 history_id=0;

 history[history_id].mouse_x = S_X/2;
 history[history_id].mouse_y = s_y/2;
 history[history_id].scroll_pos = 0;
 history[history_id].scroll_line = MAX_SPLIT;
 history[history_id].selected_button = -1;
 strcpy(history[history_id].curr_label,curr_label);

 scroll_buffer=malloc(max_lines*S_X*2);

 driver->init();

while (1) {

 strcpy(curr_label,history[history_id].curr_label);

 o_last_line=last_line;

 last_line=load_scroll_buffer(curr_label);

 if (last_line<0) {
    v_remove_keyboard();
#ifdef __FULL__
    allegro_exit();
    if (!mode_stdmode) MIDAS_Done();
#endif
    driver->exit();
    switch (last_line) {
           case -1 : printf("\n  Chyba #01: Nemohu najit soubor %s !\n",data_name);break;
           case -2 : printf("\n  Chyba #02: Nemohu najit clanek %s !\n",curr_label);break;
           case -3 : printf("\n  Chyba #03: Clanek %s nema konec !\n",curr_label);break;
           case -4 : printf("\n  Chyba #04: Tlacitko na %d. radce je blbe !\n",err_line);break;
           case -5 : printf("\n  Chyba #05: Pri exportu do souboru %s !\n",export_name);break;
           case -6 : printf("\n  Chyba #06: Pri binarnim exportu do souboru %s !\n",export_name);break;
           }
    exit(0);
  }

 if (last_line==0) {

#ifdef __FULL__

    if (strcmp(gif_name,"")!=0 && show_gif(gif_name)<0) {
       v_remove_keyboard();allegro_exit();if (!mode_stdmode) MIDAS_Done();
       printf("\n  Chyba #07: Chyba pri cteni GIFu %s !\n",gif_name);
       exit(0);
       }
    if (strcmp(png_name,"")!=0 && show_png(png_name)<0) {
       v_remove_keyboard();allegro_exit();if (!mode_stdmode) MIDAS_Done();
       printf("\n  Chyba #08: Chyba pri cteni PiNGu %s !\n",png_name);
       exit(0);
       }
    if (strcmp(jpg_name,"")!=0 && show_jpg(jpg_name)<0) {
       v_remove_keyboard();allegro_exit();if (!mode_stdmode) MIDAS_Done();
       printf("\n  Chyba #13: Chyba pri cteni JPEGu %s !\n",jpg_name);
       exit(0);
       }
    if (strcmp(fli_name,"")!=0 && show_fli(fli_name)<0) {
       v_remove_keyboard();allegro_exit();if (!mode_stdmode) MIDAS_Done();
       printf("\n  Chyba #14: Chyba pri cteni animace %s !\n",fli_name);
       exit(0);
       }

#endif

    driver->init();
    history_id--;
    strcpy(curr_label,history[history_id].curr_label);
    last_line=o_last_line;
    }
    else
    {
    last_line++;
    if (mode_html) {
       free(gif_line);
       gif_line=malloc(last_line);
       memset(gif_line,0,last_line);
       free(html_scroll_buffer);
       html_scroll_buffer=malloc(last_line*S_X*2);
       memcpy(html_scroll_buffer,scroll_buffer,last_line*S_X*2);
       }
    }

 if (mode_nomouse) highlite_button(history[history_id].selected_button);

 /* opraveny bug pri prepinani dlouhejch clanku: */
 driver->set_scrollpos(history[history_id].scroll_pos);
 scroll_line=history[history_id].scroll_line;

 v_set_mouse(history[history_id].mouse_x,history[history_id].mouse_y);

 change_page=0;
 scroll_direction=1;

 driver->update_buffer();
 draw_split();
 draw_per();

 driver->display_text();
 driver->set_splitsize(split_active);

 if (full_version_error) {
    printbuf(split_buffer,0,1,15,
"            Obrzky, animace a data na export jsou jen v pln verzi           ");
    driver->update_split();
    driver->set_splitsize(2);delay(1000);
    driver->set_splitsize(split_active);
    }

 while (!change_page) {

 draw_per();
 driver->update_mouse();

 if (mode_auto && last_module>0) {
    driver->update_split();
    if (test_module()) {
       if (curr_module==last_module)
          curr_module=0; else curr_module++;
       switch_module(curr_module);
       }
    }

 if (mode_html && (center_pressed || (left_pressed && key[KEY_CONTROL]))) {
    v_hide_mouse();
    gif_line[mouse_y+driver->s_start]=0;
    for (i=0;i<S_X;i++)
        scroll_buffer[mouse_y+driver->s_start][i*2+1]=
        html_scroll_buffer[mouse_y+driver->s_start][i*2+1];
    driver->update_buffer();
    v_show_mouse();
    }

 if ((center_pressed || key[KEY_F12]) && !mode_nomouse && !mode_html)
    if (draw_menu()) {
       driver->hide_text();
       exitus();
       }

 if (mode_nomouse) {
    if (selected_button<0)
       highlite_first_visible_button(driver->s_start,
       driver->s_start+s_y-split_active);
       else if (button[selected_button].y<driver->s_start ||
                button[selected_button].y>driver->s_start+s_y-split_active)
                highlite_first_visible_button(driver->s_start,
                driver->s_start+s_y-split_active);
    }

 if ((key[KEY_LEFT] || key[KEY_H] || key[KEY_A]) && mode_nomouse) {
    if (key[KEY_CONTROL]) {go_back(1);} else {
       if (selected_button<0) {
          selected_button=0;
          for (i=last_button;i>=0;i--)
              if (button[i].y<driver->s_start) {
                 selected_button=i;
                 break;
                 }
          } else {if (selected_button>0) selected_button--;}
       while (key[KEY_LEFT] || key[KEY_H] || key[KEY_A]);highlite_button(selected_button);
       while (last_button>=0 && driver->s_start>=button[selected_button].y)
              driver->scroll(-1,SPEED_SWAP);
       }
    }

 if ((key[KEY_RIGHT] || key[KEY_L] || key[KEY_D]) && mode_nomouse) {
    if ((key[KEY_CONTROL]) && last_button>=0 && selected_button>=0) {
       if (button[selected_button].label[0]=='|') {
          go_back(atoi(button[selected_button].label+1));
          } else {go_new_page(selected_button);}
       } else {
       if (selected_button<0) {
          selected_button=last_button;
          for (i=0;i<=last_button;i++)
              if (button[i].y>driver->s_start+s_y-split_active) {
                 selected_button=i;
                 break;
                 }
          } else {if (selected_button<last_button) selected_button++;}
       while (key[KEY_RIGHT] || key[KEY_L] || key[KEY_D]);highlite_button(selected_button);
       while (last_button>=0 && driver->s_start+s_y-split_active<=button[selected_button].y)
              driver->scroll(1,SPEED_SWAP);
       }
    }

 if (right_pressed) go_back(1);

 if (left_pressed) {
    for (i=0;i<=last_button;i++) {
        if (button[i].y==mouse_y+driver->s_start &&
            button[i].x1<=mouse_x && button[i].x2>=mouse_x) {
            if (button[i].label[0]=='|')
               {go_back(atoi(button[i].label+1));}
               else {go_new_page(i);}
            }
        }
    if (mode_html && !change_page && !key[KEY_CONTROL]) {
       v_hide_mouse();
       gif_line[mouse_y+driver->s_start]=1;
       for (i=0;i<S_X;i++) scroll_buffer[mouse_y+driver->s_start][i*2+1]|=112;
       driver->update_buffer();
       v_show_mouse();
       }
    }

 if (key[KEY_SPACE] && mode_html) create_html();
 if (key[KEY_ALT] && mode_html) detect_ansi();

 if (key[KEY_HOME] || key[KEY_UP]   || key[KEY_DOWN] ||
     key[KEY_J]    || key[KEY_K]    || key[KEY_W] || key[KEY_S] ||
     key[KEY_END]  || key[KEY_PGUP] || key[KEY_PGDN] ) {
     v_read_mouse();
     if (mouse_y==0) mouse_y=1;
     if (mouse_y==s_y-1) mouse_y=s_y-2;
     if (mouse_y==1 || mouse_y==s_y-2)
        v_set_mouse(mouse_x,mouse_y);
     }

 for(i=KEY_F1;i<=KEY_F10;i++)
   if (key[i]) {
      switch_module(i-KEY_F1);
      draw_per();
      }

 if (key[KEY_F11]) switch_module(STOP_MUSIC);

 if (key[KEY_ALT] && key[KEY_E]) { do_export(); while (key[KEY_E]); }

 if (key[KEY_ALT] && key[KEY_R])
    if (vyhen_pack) { draw_redakce(); while (key[KEY_R]); }

 if (key[KEY_TAB]) {
    if (split_active) {
       driver->set_splitsize(0);
       split_active=0;
       } else {
       driver->set_splitsize(1);
       split_active=1;
       }
    }

  scroll_speed=-1;

 if (key[KEY_HOME]) {
    scroll_direction=-1;
    scroll_speed=SPEED_MAX;
    } else
 if (key[KEY_END]) {
    scroll_direction=1;
    scroll_speed=SPEED_MAX;
    } else
 if (key[KEY_PGUP]) {
    scroll_direction=-1;
    scroll_speed=SPEED_PAGE;
    } else
 if (key[KEY_PGDN]) {
    scroll_direction=1;
    scroll_speed=SPEED_PAGE;
    } else
 if (key[KEY_UP] || key[KEY_K] || key[KEY_W]) {
    scroll_direction=-1;
    scroll_speed=SPEED_NORMAL;
    } else
 if (key[KEY_DOWN] || key[KEY_J] || key[KEY_S]) {
    scroll_direction=1;
    scroll_speed=SPEED_NORMAL;
    } else
 if (!mode_nomouse) {
    if (mouse_y==driver->s_y-1) {
       scroll_direction=1;
       scroll_speed=SPEED_NORMAL;
       } else
    if (mouse_y==0) {
       scroll_direction=-1;
       scroll_speed=SPEED_NORMAL;
       }
    }

 if (scroll_speed>=0) driver->scroll(scroll_direction,scroll_speed);
    else if (mode_stdmode) button_blinking();

 if (key[KEY_ESC]) { driver->hide_text(); exitus(); }

  }

 }

}

